<?php

namespace App\Http\Historico;

// Controladores
use App\Http\Historico\Historico;
use App\Http\Controllers\ModoController;
use App\Http\Controllers\UnidadController;
use App\Http\Controllers\AnalitoController;
use App\Http\Controllers\AnalizadorController;

// Historico
use App\Http\Controllers\MetodologiaController;
use App\Http\Controllers\AnalitoEP15Controller;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\LaboratorioController;

class AnalitoEP15Historico extends Historico {

    public function store($accion, $obj){


        $this->SetInformacionLog($accion, $obj);

        switch($this->accion){
            case "store":
                $nom_unidad = UnidadController::ListItem($this->req->id_unidad)->nom_unidad;
                $nom_analizador = AnalizadorController::ListItem($this->req->id_analizador)->nom_analizador;
                $nom_analito = AnalitoController::listItem($this->req->id_analito)->nom_analito;
                $no_laboratorio = LaboratorioController::listItem($this->req->id_laboratorio)->no_laboratorio;
                $nom_laboratorio = LaboratorioController::listItem($this->req->id_laboratorio)->nom_laboratorio;
                $area = AreaController::listItem($this->req->id_area)->nom_area;
                $fecha_inicio = $this->req->fecha_inicio;
                $nom_proyecto = "lab: $no_laboratorio - $nom_laboratorio, área: $area, fecha: $fecha_inicio";

                $lote_reactivo = $this->req->lote_reactivo;
                $lote_calibrador = $this->req->lote_calibrador;

                $this->tableLog->titulo = "Registro";
                $this->tableLog->descripcion = "analito: $nom_analito, proyecto: $nom_proyecto, analizador: $nom_analizador, unidad: $nom_unidad, Lote reactivo: $lote_reactivo, Lote calibrador: $lote_calibrador";
            break;

            case "update":
                $this->tableLog->titulo = "Actualización";
                
                $no_laboratorio = AnalitoEP15Controller::listItem($this->req->id)->no_laboratorio;
                $nom_laboratorio = AnalitoEP15Controller::listItem($this->req->id)->nom_laboratorio;
                $area = AnalitoEP15Controller::listItem($this->req->id)->nom_area;
                $fecha_inicio = AnalitoEP15Controller::listItem($this->req->id)->fecha_inicio;
                $nom_analito = AnalitoEP15Controller::listItem($this->req->id)->nom_analito;
                $nom_proyecto = "lab: $no_laboratorio - $nom_laboratorio, área: $area, fecha: $fecha_inicio, analito: $nom_analito";

                $new_no_laboratorio = LaboratorioController::listItem($this->req->id_laboratorio)->no_laboratorio;;
                $new_nom_laboratorio = LaboratorioController::listItem($this->req->id_laboratorio)->nom_laboratorio;;
                $new_nom_analito = AnalitoController::listItem($this->req->id_analito)->nom_analito;;
                $new_area = AreaController::listItem($this->req->id_area)->nom_area;;
                $new_fecha_inicio = $this->req->fecha_inicio;;
                $new_nom_proyecto = "lab: $new_no_laboratorio - $new_nom_laboratorio, área: $new_area, fecha: $new_fecha_inicio, analito: $new_nom_analito";

                $this->tableLog->descripcion = "El proyecto $nom_proyecto se actualiza a: $new_nom_proyecto";
                break;

            case "destroy":
                $nom_analito = AnalitoEP15Controller::listItem($this->req->id)->nom_analito;
                $no_laboratorio = AnalitoEP15Controller::listItem($this->req->id)->no_laboratorio;
                $nom_laboratorio = AnalitoEP15Controller::listItem($this->req->id)->nom_laboratorio;
                $area = AnalitoEP15Controller::listItem($this->req->id)->nom_area;
                $fecha_inicio = AnalitoEP15Controller::listItem($this->req->id)->fecha_inicio;
                $nom_proyecto = "lab: $no_laboratorio - $nom_laboratorio, área: $area, fecha: $fecha_inicio";

                $this->tableLog->titulo = "Eliminación";
                $this->tableLog->descripcion = "analito: $nom_analito del proyecto $nom_proyecto";
                break;

            case "status":
                $nom_analito = AnalitoEP15Controller::listItem($this->req->id)->nom_analito;
                $no_laboratorio = AnalitoEP15Controller::listItem($this->req->id)->no_laboratorio;
                $nom_laboratorio = AnalitoEP15Controller::listItem($this->req->id)->nom_laboratorio;
                $area = AnalitoEP15Controller::listItem($this->req->id)->nom_area;
                $fecha_inicio = AnalitoEP15Controller::listItem($this->req->id)->fecha_inicio;
                $nom_proyecto = "lab: $no_laboratorio - $nom_laboratorio, área: $area, fecha: $fecha_inicio";
                $statusNow = AnalitoEP15Controller::listItem($this->req->id)->estado_analito_ep15;
                if($statusNow == 1){
                    $this->tableLog->titulo = "Inactivación";
                    $this->tableLog->descripcion = "analito: $nom_analito del proyecto $nom_proyecto";
                } else {
                    $this->tableLog->titulo = "Reactivación";
                    $this->tableLog->descripcion = "analito: $nom_analito del proyecto $nom_proyecto";
                }
                break;
        }

        $this->tableLog->tabla = 'Analito EP15';
        $this->tableLog->save();
    }
}
