<?php

namespace App\Http\Historico;

// Controladores
use App\Http\Controllers\ProyectoEP17Controller;
use App\Http\Controllers\LaboratorioController;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\AnalitoController;
use App\Http\Controllers\UnidadController;
use App\Http\Controllers\AnalizadorController;

// Historico
use App\Http\Historico\Historico;

class ProyectoEP17Historico extends Historico {

    public function store($accion, $obj){

        $this->SetInformacionLog($accion, $obj);
        
        switch($this->accion){
            case "store":
                $no_laboratorio = LaboratorioController::listItem($this->req->id_laboratorio)->no_laboratorio;
                $nom_laboratorio = LaboratorioController::listItem($this->req->id_laboratorio)->nom_laboratorio;
                $area = AreaController::listItem($this->req->id_area)->nom_area;$nom_unidad = UnidadController::ListItem($this->req->id_unidad)->nom_unidad;
                $nom_analizador = AnalizadorController::ListItem($this->req->id_analizador)->nom_analizador;
                $nom_analito = AnalitoController::listItem($this->req->id_analito)->nom_analito;
                $fecha = $this->req->fecha;
                $n_lote_reactivo_1 = $this->req->n_lote_reactivo_1;
                $n_lote_reactivo_2 = $this->req->n_lote_reactivo_2;
                $decision_femenina = $this->req->decision_femenina;
                $decision_masculina = $this->req->decision_masculina;
                $pctb = $this->req->pctb;
                $aps = $this->req->aps;
                $this->tableLog->titulo = "Registro";
                $this->tableLog->descripcion = "laboratorio: $no_laboratorio - $nom_laboratorio, área: $area, analito: $nom_analito, unidad: $nom_unidad, analizador: $nom_analizador, fecha: $fecha, lote reactivos 1: $n_lote_reactivo_1, lote reactivos 2: $n_lote_reactivo_2, decisión femenina: $decision_femenina, decisión masculina: $decision_masculina, pctb: $pctb, aps: $aps";
            break;
            
            case "update":
                $this->tableLog->titulo = "Actualización";
                
                $no_laboratorio = ProyectoEP17Controller::listItem($this->req->id)->no_laboratorio;
                $nom_laboratorio = ProyectoEP17Controller::listItem($this->req->id)->nom_laboratorio;
                $area = ProyectoEP17Controller::listItem($this->req->id)->nom_area;
                $fecha = ProyectoEP17Controller::listItem($this->req->id)->fecha;
                $nom_unidad = ProyectoEP17Controller::ListItem($this->req->id)->nom_unidad;
                $nom_analizador = ProyectoEP17Controller::ListItem($this->req->id)->nom_analizador;
                $nom_analito = ProyectoEP17Controller::listItem($this->req->id)->nom_analito;
                $n_lote_reactivo_1 = ProyectoEP17Controller::listItem($this->req->id)->n_lote_reactivo_1;
                $n_lote_reactivo_2 = ProyectoEP17Controller::listItem($this->req->id)->n_lote_reactivo_2;
                $decision_femenina = ProyectoEP17Controller::listItem($this->req->id)->decision_femenina;
                $decision_masculina = ProyectoEP17Controller::listItem($this->req->id)->decision_masculina;
                $pctb = ProyectoEP17Controller::listItem($this->req->id)->pctb;
                $aps = ProyectoEP17Controller::listItem($this->req->id)->aps;

                $new_no_laboratorio = LaboratorioController::listItem($this->req->id_laboratorio)->no_laboratorio;
                $new_nom_laboratorio = LaboratorioController::listItem($this->req->id_laboratorio)->nom_laboratorio;
                $new_area = AreaController::listItem($this->req->id_area)->nom_area;
                $new_fecha = $this->req->fecha;
                $new_nom_unidad = UnidadController::ListItem($this->req->id_unidad)->nom_unidad;
                $new_nom_analizador = AnalizadorController::ListItem($this->req->id_analizador)->nom_analizador;
                $new_nom_analito = AnalitoController::listItem($this->req->id_analito)->nom_analito;
                $new_n_lote_reactivo_1 = $this->req->n_lote_reactivo_1;
                $new_n_lote_reactivo_2 = $this->req->n_lote_reactivo_2;
                $new_decision_femenina = $this->req->decision_femenina;
                $new_decision_masculina = $this->req->decision_masculina;
                $new_pctb = $this->req->pctb;
                $new_aps = $this->req->aps;

                $this->tableLog->descripcion = "El proyecto lab: $no_laboratorio - $nom_laboratorio, área: $area, analito: $nom_analito, unidad: $nom_unidad, analizador: $nom_analizador, fecha: $fecha, lote reactivos 1: $n_lote_reactivo_1, lote reactivos 2: $n_lote_reactivo_2, decisión femenina: $decision_femenina, decisión masculina: $decision_masculina, pctb: $pctb, aps: $aps se actualiza a lab: $new_no_laboratorio - $new_nom_laboratorio, área: $new_area, analito: $new_nom_analito, unidad: $new_nom_unidad, analizador: $new_nom_analizador, fecha: $new_fecha, lote reactivos 1: $new_n_lote_reactivo_1, lote reactivos 2: $new_n_lote_reactivo_2, decisión femenina: $new_decision_femenina, decisión masculina: $new_decision_masculina, pctb: $new_pctb, aps: $new_aps";
                break;

            case "updateResults":
                $this->tableLog->titulo = "Actualización de Resultados";
                $this->tableLog->descripcion = "Se actualizan los resultados del proyecto: $this->req->id_reference";
                break;

            case "destroy":
                $no_laboratorio = ProyectoEP17Controller::listItem($this->req->id)->no_laboratorio;
                $nom_laboratorio = ProyectoEP17Controller::listItem($this->req->id)->nom_laboratorio;
                $area = ProyectoEP17Controller::listItem($this->req->id)->nom_area;
                $fecha = ProyectoEP17Controller::listItem($this->req->id)->fecha;
                $nom_unidad = ProyectoEP17Controller::ListItem($this->req->id)->nom_unidad;
                $nom_analizador = ProyectoEP17Controller::ListItem($this->req->id)->nom_analizador;
                $nom_analito = ProyectoEP17Controller::listItem($this->req->id)->nom_analito;
                $n_lote_reactivo_1 = ProyectoEP17Controller::listItem($this->req->id)->n_lote_reactivo_1;
                $n_lote_reactivo_2 = ProyectoEP17Controller::listItem($this->req->id)->n_lote_reactivo_2;
                $decision_femenina = ProyectoEP17Controller::listItem($this->req->id)->decision_femenina;
                $decision_masculina = ProyectoEP17Controller::listItem($this->req->id)->decision_masculina;
                $pctb = ProyectoEP17Controller::listItem($this->req->id)->pctb;
                $aps = ProyectoEP17Controller::listItem($this->req->id)->aps;
                $nom_proyecto = "lab: $no_laboratorio - $nom_laboratorio, área: $area, fecha: $fecha, analito: $nom_analito, unidad: $nom_unidad, analizador: $nom_analizador, fecha: $fecha, lote reactivos 1: $n_lote_reactivo_1, lote reactivos 2: $n_lote_reactivo_2, decisión femenina: $decision_femenina, decisión masculina: $decision_masculina, pctb: $pctb, aps: $aps";
                $this->tableLog->titulo = "Eliminación";
                $this->tableLog->descripcion = "proyecto: $nom_proyecto";
                break;

            case "status":
                $no_laboratorio = ProyectoEP17Controller::listItem($this->req->id)->no_laboratorio;
                $nom_laboratorio = ProyectoEP17Controller::listItem($this->req->id)->nom_laboratorio;
                $area = ProyectoEP17Controller::listItem($this->req->id)->nom_area;
                $fecha = ProyectoEP17Controller::listItem($this->req->id)->fecha;
                $nom_unidad = ProyectoEP17Controller::ListItem($this->req->id)->nom_unidad;
                $nom_analizador = ProyectoEP17Controller::ListItem($this->req->id)->nom_analizador;
                $nom_analito = ProyectoEP17Controller::listItem($this->req->id)->nom_analito;
                $n_lote_reactivo_1 = ProyectoEP17Controller::listItem($this->req->id)->n_lote_reactivo_1;
                $n_lote_reactivo_2 = ProyectoEP17Controller::listItem($this->req->id)->n_lote_reactivo_2;
                $decision_femenina = ProyectoEP17Controller::listItem($this->req->id)->decision_femenina;
                $decision_masculina = ProyectoEP17Controller::listItem($this->req->id)->decision_masculina;
                $pctb = ProyectoEP17Controller::listItem($this->req->id)->pctb;
                $aps = ProyectoEP17Controller::listItem($this->req->id)->aps;
                $nom_proyecto = "lab: $no_laboratorio - $nom_laboratorio, área: $area, fecha: $fecha, analito: $nom_analito, unidad: $nom_unidad, analizador: $nom_analizador, fecha: $fecha, lote reactivos 1: $n_lote_reactivo_1, lote reactivos 2: $n_lote_reactivo_2, decisión femenina: $decision_femenina, decisión masculina: $decision_masculina, pctb: $pctb, aps: $aps";
                
                $statusNow = ProyectoEP17Controller::listItem($this->req->id)->estado_proyecto_ep17;
                if($statusNow == 1){
                    $this->tableLog->titulo = "Inactivación";
                    $this->tableLog->descripcion = "proyecto: $nom_proyecto";
                } else {
                    $this->tableLog->titulo = "Reactivación";
                    $this->tableLog->descripcion = "proyecto: $nom_proyecto";
                }
                break;
        }


        $this->tableLog->tabla = 'Proyecto EP17';
        $this->tableLog->save();
    }
}