<?php

namespace App\Http\Requests;
use Illuminate\Foundation\Http\FormRequest;

class AnalitoEP15Request extends FormRequest {
    public function authorize(){
        return true;
    }


    public function rules(){
        if(isset($this->id)){ // Actualizacion
            return [
                "id_analito" => [
                    "required",
                    "min:1",
                    "max:40",
                ],
                "id_analizador" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_unidad" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "etmp" => [
                    "numeric",
                    "required",
                    "min:1",
                    "max:999.999"
                ],
                "lote_reactivo" => [
                    "String",
                    "required",
                    "min:1",
                    "max:40"
                ],
                "lote_calibrador" => [
                    "String",
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_laboratorio" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_area" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                'fecha_inicio' => [
                    "required",
                    "date",
                ],
                'material_utilizado' => [
                    "required",
                    "min:2",
                    "max:100",
                ],
                'num_niveles' => [
                    "required",
                    "min:1",
                    "max:5",
                    "numeric"
                ]
                
            ];
        } else { // Cuando es un registro
            return [
                "id_analito" => [
                    "required",
                    "min:1",
                    "max:40",
                ],
                "id_analizador" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_unidad" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "etmp" => [
                    "numeric",
                    "required",
                ],
                "lote_reactivo" => [
                    "String",
                    "required",
                    "min:1",
                    "max:40"
                ],
                "lote_calibrador" => [
                    "String",
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_laboratorio" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_area" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                'fecha_inicio' => [
                    "required",
                    "date",
                ],
                'material_utilizado' => [
                    "required",
                    "min:2",
                    "max:100",
                ],
                'num_niveles' => [
                    "required",
                    "min:1",
                    "max:5",
                    "numeric"
                ]
                
            ];
        }
    }


    public function attributes(){
        return [
            "id_analito" => "analito",
            "id_analizador" => "analizador",
            "id_unidad" => "unidad",
            "etmp" => "error total máximo permicible",
            "lote_reactivo" => "lote de reactivo",
            "lote_calibrador" => "lote de calibrador",
            'id_laboratorio' => 'laboratorio',
            'id_area' => 'área',
            'fecha_inicio' => 'fecha de inicio',
            'material_utilizado' => 'material utilizado',
            'num_niveles' => 'número de niveles'
        ];
    }


    public function messages(){
        return [
            'id_analito.required' => 'El campo es obligatorio',
            'id_analizador.required' => 'El campo es obligatorio',
            'id_unidad.required' => 'El campo es obligatorio',
            'etmp.required' => 'El campo es obligatorio',
            'lote_reactivo.required' => 'El campo es obligatorio',
            'lote_calibrador.required' => 'El campo es obligatorio',
            'id_laboratorio.required' => 'El campo es obligatorio',
            'id_area.required' => 'El campo es obligatorio',
            'fecha_inicio.required' => 'El campo es obligatorio',
            'material_utilizado.required' => 'El campo es obligatorio',
            'num_niveles.required' => 'El campo es obligatorio',
        ];
    }
}
