<?php

namespace App\Http\Requests;
use Illuminate\Foundation\Http\FormRequest;
class CorridaAnalitoRequest extends FormRequest {
    public function authorize(){
        return true;
    }


    public function rules(){
        if(isset($this->id)){ // Actualizacion
            return [
                "id_analito" => [
                    "min:1",
                    "required",
                    "max:40",
                ],
                "id_metodologia_prueba" => [
                    "min:1",
                    "required",
                    "max:40",
                ],
                "id_metodologia_comparacion" => [
                    "min:1",
                    "required",
                    "max:40",
                ],
                "id_modo_metodologia_prueba" => [
                    "min:1",
                    "required",
                    "max:40",
                ],
                "id_modo_metodologia_comparacion" => [
                    "min:1",
                    "required",
                    "max:40",        
                ],
                "id_unidad_prueba" => [
                    "min:1",
                    "required",
                    "max:40",
                ],
                "id_unidad_comparacion" => [
                    "min:1",
                    "required",
                    "max:40",
                ],
                "id_analizador_prueba" => [
                    "min:1",
                    "required",
                    "max:40",
                ],
                "id_analizador_comparacion" => [
                    "min:1",
                     "required",
                    "max:40",
                ],
                "diferencia_maxima_permisible" => [
                    "required",
                    "numeric"
                ], 
                "limite_aps" => [
                    "required",
                    "numeric"
                ],
                "id_laboratorio" => [
                    "required",
                    "min:1",
                    "required",
                    "max:40"
                ],
                "id_area" => [
                    "required",
                    "min:1",
                    "required",
                    "max:40"
                ],
                'fecha_inicio' => [
                    "required",
                    "date"
                ]
            ];
        } else { // Cuando es un registro
            return [
                "id_analito" => [
                    "required",
                    "min:1",
                    "max:40",
                ],
                "id_metodologia_prueba" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_metodologia_comparacion" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_modo_metodologia_prueba" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_modo_metodologia_comparacion" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_unidad_prueba" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_unidad_comparacion" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_analizador_prueba" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_analizador_comparacion" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "diferencia_maxima_permisible" => [
                    "required",
                    "numeric"
                ],
                "limite_aps" => [
                    "required",
                    "numeric"
                ],
                "id_laboratorio" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                "id_area" => [
                    "required",
                    "min:1",
                    "max:40"
                ],
                'fecha_inicio' => [
                    "required",
                    "date",
                ],
            ];
        }
    }


    public function attributes(){
        return [
            'id_analito' => 'analito',
            'id_metodologia_prueba' => 'metodología de prueba',
            'id_metodologia_comparacion' => 'metodología de comparación',
            'id_modo_metodologia_prueba' => 'modo de prueba',
            'id_modo_metodologia_comparacion' => 'modo de comparación',
            'id_unidad_prueba' => 'unidad de prueba',
            'id_unidad_comparacion' => 'unidad de comparación',
            'diferencia_maxima_permisible' => 'diferencia máxima permisible',
            'limite_aps' => 'límite APS',
            'id_analizador_prueba' => 'analizador de prueba',
            'id_analizador_comparacion' => 'analizador de comparación',
            'id_laboratorio' => 'laboratorio',
            'id_area' => 'área',
            'fecha_inicio' => 'fecha de inicio',
        ];
    }


    public function messages(){
        return [
            'id_analito.required' => 'El campo es obligatorio',
            'id_metodologia_prueba.required' => 'El campo es obligatorio',
            'id_metodologia_comparacion.required' => 'El campo es obligatorio',
            'id_analizador_prueba.required' => 'El campo es obligatorio',
            'id_analizador_comparacion.required' => 'El campo es obligatorio',
            'id_modo_metodologia_prueba.required' => 'El campo es obligatorio',
            'id_modo_metodologia_comparacion.required' => 'El campo es obligatorio',
            'id_unidad_prueba.required' => 'El campo es obligatorio',
            'id_unidad_comparacion.required' => 'El campo es obligatorio',
            'diferencia_maxima_permisible.required' => 'El campo es obligatorio',
            'limite_aps.required' => 'El campo es obligatorio',
            'id_laboratorio.required' => 'El campo es obligatorio',
            'id_area.required' => 'El campo es obligatorio',
            'fecha_inicio.required' => 'El campo es obligatorio',
        ];
    }
}
