<?php

namespace App\Rules;

use App\AnalitoEP15;
use App\CorridaAnalito;
use App\SuperUsuario;
use Illuminate\Contracts\Validation\Rule;
use Illuminate\Support\Facades\Auth;

class AnalitoEP15NumProjectRule implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        $usuarioAutenticado = Auth::user();
        $clientReference = SuperUsuario::query()->where('id', $usuarioAutenticado->super_admin_id)->first();
        $analitosEP15 = AnalitoEP15::query()->where('client', $clientReference->id)->get();
        $analitosEP09 = CorridaAnalito::query()->where('client', $clientReference->id)->get();
        $contadorTotalProyectos = count($analitosEP15) + count($analitosEP09);
        $tieneProyectosDisponibles = $contadorTotalProyectos < $clientReference->num_project;
        return $tieneProyectosDisponibles ;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'El cliente no tiene proyectos disponibles';
    }
}
