function generarGraficoB2() {
    google.charts.setOnLoadCallback(dibujarGraficoB2);
}



function dibujarGraficoB2() {

    // Create the data table.

    $.get(
            "GetResultsJSON", {
                _token: $('meta[name="csrf-token"]').attr('content'),
                id_reference: $("#id_corrida_analito").val()
            })
        .done(function (json_elements) {

            let dataElements_b2 = [
                ["x", "resultado método prueba", "repetición método prueba"]
            ];

            let conjuntoB3_x = [];
            let conjuntoB3_y = [];

            for (i = 0; i < json_elements["resultados"].length; i++) {
                dataElements_b2.push([
                    parseFloat(json_elements["resultados"][i].promedio_metodo_comparativo),
                    parseFloat(json_elements["resultados"][i].resultado_m1c1),
                    parseFloat(json_elements["resultados"][i].resultado_m1c2)
                ]);

                conjuntoB3_x.push(json_elements["resultados"][i].promedio_metodo_comparativo);
                conjuntoB3_y.push(json_elements["resultados"][i].resultado_m1c1);
                conjuntoB3_y.push(json_elements["resultados"][i].resultado_m1c2);
            }

            var data = google.visualization.arrayToDataTable(dataElements_b2);
            var options = {
                title: 'Resultados individuales obs. vs media del mét comparativo',
                titleTextStyle: {
                    color: '#2874A6',
                    fontSize: 15,
                    alignment: 'center'
                },
                hAxis: {
                    title: "Media del método comparativo ",
                    viewWindow:{
                        min:Math.min.apply(null,conjuntoB3_x),
                        max:Math.max.apply(null,conjuntoB3_x)
                    }
                    // json_elements["info_analito"].nom_analizador_comparacion + " | " + json_elements["info_analito"].nom_metodologia_comparacion + " " + json_elements["info_analito"].nom_modo_metodologia_comparacion + " (" + json_elements["info_analito"].nom_unidad_metodologia_comparacion + ")"
                },
                vAxis: {
                    title: "Resultados individuales observados del método de prueba",
                    viewWindow:{
                        min:Math.min.apply(null,conjuntoB3_y),
                        max:Math.max.apply(null,conjuntoB3_y)
                    }
                    // json_elements["info_analito"].nom_analizador_prueba + " | " + json_elements["info_analito"].nom_metodologia_prueba + " " + json_elements["info_analito"].nom_modo_metodologia_prueba + " (" + json_elements["info_analito"].nom_unidad_metodologia_prueba + ")",
                },
                series: {
                    0: {
                        visibleInLegend: true,
                    },
                    1: {
                        visibleInLegend: true
                    }
                },
                chartArea: {
                    width: '65%',
                    height: '70%',
                    left: '10%'
                },
                legend: {
                    position: 'right',
                    textStyle: {
                        color: '#333',
                        fontSize: 11,
                    },
                    alignment: 'start',

                },
                colors: ["#000"],
                pointShape: 'square',
                pointSize: 8,
                opacity: 0.8,
                trendlines: {
                    0: {
                        type: 'linear',
                        showR2: true,
                        visibleInLegend: true,
                        color: '#2980B9'
                    },
                    1: {
                        type: 'linear',
                        showR2: true,
                        visibleInLegend: true,
                        color: '#138D75'
                    },
                },
                width: 480,
                height: 400,
            };

            var chart = new google.visualization.ScatterChart(document.getElementById('contenedor_grafica_B2'));

            google.visualization.events.addListener(chart, 'ready', function ()      {
                $("#base64_grafico_B2").val(chart.getImageURI());
            });

            chart.draw(data, options);
        })
        .fail(function () {
            notificacion("normal", "error", "Error al cargar la información de la gráfica B2...");
        })
        .always(function (sdsads) {

        });
}
