<div class="modal" tabindex="-1">
  <div class="modal-dialog" style='width: 50%; max-width: 600px !important; min-width: 400px !important;'>
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title text-primary">Agregar un proyecto EP15</h5>
        <button class="btnEvent close" data-event='click' data-route='CancelModal' data-preguntaantes="false">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>

      <form class="form formEvent formCreate" data-route="Store_AnalitoEP15" data-event="submit" data-tables_liged="AnalitoEP15" data-close_modal='true'>
        <div class="modal-body">

          <div class="form-group">
              <label class='font-weight-bold'>Laboratorio</label>
              <button class="btn btn-sm btnEvent" data-event="change" type="button" title="Refrescar contenido de la lista" data-select_liged="laboratorio" data-route="SeeList_Laboratorio"><i class="fas fa-sync"></i></button>
              <select name="id_laboratorio" class='form-control id_laboratorio exceptionSelect2'>
                  <option value="">Seleccione un laboratorio...</option>
                  @foreach($laboratorios as $laboratorio)
                      <option value="{{ $laboratorio->id_encrypt_laboratorio }}">{{ $laboratorio->no_laboratorio }} - {{ $laboratorio->nom_laboratorio }}</option>
                  @endforeach
              </select>
              <div class="contMessage contMessage_id_laboratorio"></div>
          </div>

          <div class="form-group">
              <label  class='font-weight-bold'>Área</label>
              <button class="btn btn-sm btnEvent" data-event="change" type="button" title="Refrescar contenido de la lista" data-select_liged="area" data-route="SeeList_Area"><i class="fas fa-sync"></i></button>
              <select name="id_area" class='form-control id_area exceptionSelect2' onchange="getListsByArea()">
                  <option value="">Seleccione un área...</option>
                  @foreach($areas as $area)
                      <option value="{{ $area->id_encrypt_area }}">{{ $area->nom_area }}</option>
                  @endforeach
              </select>
              <div class="contMessage contMessage_id_area"></div>
          </div>

          <div class="form-group">
              <label  class='font-weight-bold'>Fecha de inicio</label>
              <input class="form-control fecha_inicio" name="fecha_inicio" type='date' value='{{ date("Y-m-d") }}'>
              <div class="contMessage contMessage_fecha_inicio"></div>
          </div>

          <div class="form-group">
              <label  class='font-weight-bold'>Material utilizado</label>
              <input class="form-control material_utilizado" name="material_utilizado" type='text'>
              <div class="contMessage contMessage_material_utilizado"></div>
          </div>

          <div class="form-group">
              <label  class='font-weight-bold'>Número de niveles</label>
              <input class="form-control num_niveles" name="num_niveles" type='text'>
              <div class="contMessage contMessage_num_niveles"></div>
          </div>
          <div class="form-group">
              <label class='font-weight-bold'>Analito</label>
              <select name="id_analito" class='form-control id_analito exceptionSelect2'>
                  <option value="">Seleccione un analito...</option>
                    @foreach($analitos as $analito)
                      <option value="{{ $analito->id_encrypt_analito }}" style="display: none;">{{ $analito->nom_analito }}</option>
                    @endforeach
              </select>
              <div class="contMessage contMessage_id_analito"></div>
          </div>
          <div class="form-group">
              <label class='font-weight-bold'>Analizador</label>
              <select name="id_analizador" class='form-control id_analizador exceptionSelect2'>
                  <option value="">Seleccione un analizador...</option>
                    @foreach($analizadores as $analizador)
                      <option value="{{ $analizador->id_encrypt_analizador }}" style="display: none;">{{ $analizador->nom_analizador }}</option>
                    @endforeach
              </select>
              <div class="contMessage contMessage_id_analizador"></div>
          </div>
          <div class="form-group">
              <label class='font-weight-bold'>Unidad</label>
              <select name="id_unidad" class='form-control id_unidad exceptionSelect2'>
                  <option value="">Seleccione una unidad...</option>
                    @foreach($unidades as $unidad)
                      <option value="{{ $unidad->id_encrypt_unidad }}" style="display: none;">{{ $unidad->nom_unidad }}</option>
                    @endforeach
              </select>
              <div class="contMessage contMessage_id_unidad"></div>
          </div>
          <div class="form-group">
              <label class='font-weight-bold'>Límite APS%</label>
              <input class="form-control etmp" name="etmp" type='text'>
              <div class="contMessage contMessage_etmp"></div>
          </div>
          <div class="form-group">
              <label  class='font-weight-bold'>Lote de reactivo</label>
              <input class="form-control lote_reactivo" name="lote_reactivo" type='text'>
              <div class="contMessage contMessage_lote_reactivo"></div>
          </div>
          <div class="form-group">
              <label  class='font-weight-bold'>Lote calibrador</label>
              <input class="form-control lote_calibrador" name="lote_calibrador" type='text'>
              <div class="contMessage contMessage_lote_calibrador"></div>
          </div>
        </div>
        <div class="modal-footer">
        <button type="button" class="btn btn-secondary btnEvent" data-event='click' data-route='CancelModal' data-preguntaantes="false">Cancelar</button>
        <button type="submit" class="btn btn-primary">Registrar</button>
        </div>
      </form>
    </div>
  </div>
</div>

<script>
    var areas = [];
    var analizadores = [];
    var analitos = [];
    var unidades = [];
    $(document).ready(function(){
        areas = JSON.parse("{{ $areas }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r)/gm,""));
        analizadores = JSON.parse("{{ $analizadores }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r)/gm,""));
        analitos = JSON.parse("{{ $analitos }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r)/gm,""));
        unidades = JSON.parse("{{ $unidades }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r)/gm,""));
    });
    function getListsByArea(){
        var index = $('.id_area').prop('selectedIndex') - 1;
        $('.id_analizador option').css('display','none');
        $('.id_analizador option').eq(0).css('display','block');
        $('.id_analizador').prop('selectedIndex',0);
        $('.id_analito option').css('display','none');
        $('.id_analito option').eq(0).css('display','block');
        $('.id_analito').prop('selectedIndex',0);
        $('.id_unidad option').css('display','none');
        $('.id_unidad option').eq(0).css('display','block');
        $('.id_unidad').prop('selectedIndex',0);
        if(index >= 0){
            let nom_area = areas[index].nom_area;
            for (let i = 0; i < analizadores.length; i++) {
                if(analizadores[i].nom_area == nom_area) $('.id_analizador option').eq(i+1).css('display','block');
            }
            for (let i = 0; i < analitos.length; i++) {
                if(analitos[i].nom_area == nom_area) $('.id_analito option').eq(i+1).css('display','block');
            }
            for (let i = 0; i < unidades.length; i++) {
                if(unidades[i].nom_area == nom_area) $('.id_unidad option').eq(i+1).css('display','block');
            }
        }
    }
</script>