<table class="table table-striped table-responsive-sm table-sm text-center dinamicTable SeeIndexAnalitoEP15">
    <thead>
    <tr>
        <th scope="col">Proyecto</th>
        <th scope="col">Analito</th>
        <th scope="col">Analizador</th>
        <th scope="col">Unidad</th>
        <th scope="col">Límite APS%</th>
        <th scope="col">Lote reactivo</th>
        <th scope="col">Lote calibrador</th>
        <th scope="col">Estado</th>
        <th scope="col">Acciones</th>
        @if(\Illuminate\Support\Facades\Auth::user()->rol_id_rol == 5)
            <th scope="col">Eliminar</th>
        @endif
    </tr>
    </thead>
    <tbody>

    @foreach($analitosEP15 as $analitoEP15)
        <tr>
            <td>V2M-EP15-{{ $analitoEP15->id_proyecto_ep15 }}</td>
            <td class="btnEvent" data-event="dblclick" data-route="SeeEdit_AnalitoEP15" data-field="analito"
                data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}">{{ $analitoEP15->nom_analito }}</td>
            <td class="btnEvent" data-event="dblclick" data-route="SeeEdit_AnalitoEP15" data-field="analizador"
                data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}">{{ $analitoEP15->nom_analizador }}</td>
            <td class="btnEvent" data-event="dblclick" data-route="SeeEdit_AnalitoEP15" data-field="unidad"
                data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}">{{ $analitoEP15->nom_unidad }}</td>
            <td class="btnEvent" data-event="dblclick" data-route="SeeEdit_AnalitoEP15" data-field="etmp"
                data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}">{{ $analitoEP15->etmp }}</td>
            <td class="btnEvent" data-event="dblclick" data-route="SeeEdit_AnalitoEP15" data-field="lote_reactivo"
                data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}">{{ $analitoEP15->lote_reactivo }}</td>
            <td class="btnEvent" data-event="dblclick" data-route="SeeEdit_AnalitoEP15" data-field="lote_calibrador"
                data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}">{{ $analitoEP15->lote_calibrador }}</td>
            <td>
                @if(\Illuminate\Support\Facades\Auth::user()->rol_id_rol != 3)

                    @if($analitoEP15->estado_analito_ep15 == 1)
                        <button class="btn btn-primary btn-sm btnEvent"
                                title="Inactivar el analito EP15 {{ $analitoEP15->nom_analito }}"
                                data-route="ChangeStatus_AnalitoEP15" data-tables_liged="AnalitoEP15" data-event="click"
                                data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}"
                                data-nom="{{ $analitoEP15->nom_analito }}"
                                data-objjson='{"id_reference": "analito_ep15_proyecto_ep15"}' data-estado="inactivo">
                            Activo
                        </button>
                    @else
                        <button class="btn btn-warning btn-sm btnEvent"
                                title="Activar el analito EP15 {{ $analitoEP15->nom_analito }}"
                                data-route="ChangeStatus_AnalitoEP15" data-tables_liged="AnalitoEP15" data-event="click"
                                data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}"
                                data-nom="{{ $analitoEP15->nom_analito }}"
                                data-objjson='{"id_reference": "analito_ep15_proyecto_ep15"}' data-estado="activo">
                            Inactivo
                        </button>
                    @endif
                @endif
            </td>
            <td>
                <button class="btn btn-warning btn-link btn-sm btnEvent"
                        title="Gestionar los resultados para el analito {{ $analitoEP15->nom_analito }}"
                        data-route="DinamicModal_ResultadoEP15" data-event="click"
                        data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}"><i
                        class="fas fa-sort-numeric-down text-white"></i></button>
                @if(\Illuminate\Support\Facades\Auth::user()->rol_id_rol != 3)
                    <button class="btn btn-secondary btn-sm btnEvent"
                            title="Configuración adicional para el analito {{ $analitoEP15->nom_analito }}"
                            data-route="DinamicModal_NivelEP15" data-event="click"
                            data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}"><i class="fas fa-cog"></i>
                    </button>
                    <button class="btn btn-primary btn-link btn-sm btnEvent"
                            title="Generar informe de comparación para el analito {{ $analitoEP15->nom_analito }}"
                            data-route="DinamicModal_InformeFinalEP15" data-modal_estatico='true' data-event="click"
                            data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}"><i
                            class="fas fa-poll text-white"></i></button>
                    <button class="btn btn-danger btn-link btn-sm btnEvent"
                            title="Generar resumen de resultados para el analito {{ $analitoEP15->nom_analito }}"
                            data-route="DinamicModal_InformeResumenEP15" data-modal_estatico='true' data-event="click"
                            data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}"><i
                            class="fas fa-file-pdf text-white"></i></button>
                @endif
            </td>
            @if(\Illuminate\Support\Facades\Auth::user()->rol_id_rol == 5)
                <td>
                    <button class="btn btn-danger btn-sm btnEvent"
                            title="Eliminar el analito EP15 {{ $analitoEP15->nom_analito }}"
                            data-route="Destroy_AnalitoEP15" data-event="click"
                            data-reference="{{ $analitoEP15->id_encrypt_analito_ep15 }}"
                            data-nom="{{ $analitoEP15->nom_analito }}" data-tables_liged="AnalitoEP15"
                            data-objjson='{"id_reference": "analito_ep15_proyecto_ep15"}'><i
                            class="far fa-trash-alt"></i></button>
                </td>
            @endif
        </tr>
    @endforeach

    </tbody>
</table>
