<div class="modal" tabindex="-1">
    <div class="modal-dialog" style='width: 70%; max-width: 800px !important; min-width: 400px !important;'>
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-primary">Modificación para el proyecto
                    <strong>EP09-{{ $corridaAnalito->nom_analito }}</strong>
                </h5>
                <button class="btnEvent close" data-event='click' data-route='CancelModal' data-preguntaantes="false">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <form class="form formEvent formCreate" data-route="UpdateModal_CorridaAnalito" data-event="submit" data-tables_liged="CorridaAnalito" data-close_modal='true' data-objjson='{"id_laboratorio": "corridaAnalitoLaboratorio", "id_area": "corridaAnalitoArea"}' data-reference="{{ $corridaAnalito->id_encrypt_corrida_analito }}" data-nom="EP09-{{ $corridaAnalito->nom_analito }}">
                <div class="modal-body">
                    <div class="form-group">
                        <label class='font-weight-bold'>Laboratorio</label>
                        <button class="btn btn-sm btnEvent" data-event="change" type="button" title="Refrescar contenido de la lista" data-select_liged="laboratorio" data-route="SeeList_Laboratorio"><i class="fas fa-sync"></i></button>
                        <select name="id_laboratorio" class='form-control id_laboratorio exceptionSelect2'>
                            <option value="">Seleccione un laboratorio...</option>
                            @foreach($laboratorios as $laboratorio)
                               @if($corridaAnalito->laboratorio_id_encrypt_laboratorio == $laboratorio->id_encrypt_laboratorio)
                                <option value="{{ $laboratorio->id_encrypt_laboratorio }}" selected>{{ $laboratorio->no_laboratorio }} - {{ $laboratorio->nom_laboratorio }}</option>
                                @else
                                <option value="{{ $laboratorio->id_encrypt_laboratorio }}">{{ $laboratorio->no_laboratorio }} - {{ $laboratorio->nom_laboratorio }}</option>
                                @endif
                            @endforeach
                        </select>
                        <div class="contMessage contMessage_id_laboratorio"></div>
                    </div>

                    <div class="form-group">
                        <label class='font-weight-bold'>Área</label>
                        <button class="btn btn-sm btnEvent" data-event="change" type="button" title="Refrescar contenido de la lista" data-select_liged="area" data-route="SeeList_Area"><i class="fas fa-sync"></i></button>
                        <select name="id_area" class='form-control id_area exceptionSelect2' onchange="getListsByArea()">
                            <option value="">Seleccione un área...</option>
                            @foreach($areas as $area)
                            @if($corridaAnalito->area_id_encrypt_area == $area->id_encrypt_area)
                            <option value="{{ $area->id_encrypt_area }}" selected>{{ $area->nom_area }}</option>
                            @else
                            <option value="{{ $area->id_encrypt_area }}">{{ $area->nom_area }}</option>
                            @endif
                            @endforeach
                        </select>
                        <div class="contMessage contMessage_id_area"></div>
                    </div>

                    <div class="form-group">
                        <label class='font-weight-bold'>Fecha de inicio</label>
                        <input class="form-control fecha_inicio" name="fecha_inicio" type='date' value="{{ $corridaAnalito->fecha_inicio }}">
                        <div class="contMessage contMessage_fecha_inicio"></div>
                    </div>

                    <div class="row">
                        <div class="form-group col-6">
                            <label for="id_analito">Analito:</label>
                            <div class="row">
                                <div class="col">
                                    <select name="id_analito" class='form-control id_analito exceptionSelect2'>
                                        <option value="">Seleccione un analito...</option>
                                        @foreach($analitos as $analito)
                                        @if($corridaAnalito->analito_analito == $analito->analito)
                                        <option value="{{ $analito->id_encrypt_analito }}" selected>{{ $analito->nom_analito }}</option>
                                        @else
                                        <option value="{{ $analito->id_encrypt_analito }}">{{ $analito->nom_analito }}</option>
                                        @endif
                                        @endforeach
                                    </select>
                                    <div class="contMessage contMessage_id_analito"></div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group col-6">
                            <label for="" class=''>Analizador prueba</label>
                            <select name="id_analizador_prueba" class="form-control id_analizador_prueba notClear">
                                <option value="">Seleccione un analizador de prueba...</option>
                                @foreach($analizadores as $analizador)
                                @if($corridaAnalito->analizador_prueba_analizador == $analizador->analizador)
                                <option value="{{ $analizador->id_encrypt_analizador }}" selected>{{ $analizador->nom_analizador }}</option>
                                @else
                                <option value="{{ $analizador->id_encrypt_analizador }}">{{ $analizador->nom_analizador }}</option>
                                @endif
                                @endforeach
                            </select>
                            <div class="contMessage contMessage_id_analizador_prueba"></div>
                        </div>

                        <div class="form-group col-6">
                            <label for="" class=''>Analizador comparativo</label>
                            <select name="id_analizador_comparacion" class="form-control id_analizador_comparacion notClear">
                                <option value="">Seleccione un analizador de comparación...</option>
                                @foreach($analizadores as $analizador)
                                @if($corridaAnalito->analizador_comparacion_analizador == $analizador->analizador)
                                <option value="{{ $analizador->id_encrypt_analizador }}" selected>{{ $analizador->nom_analizador }}</option>
                                @else
                                <option value="{{ $analizador->id_encrypt_analizador }}">{{ $analizador->nom_analizador }}</option>
                                @endif
                                @endforeach
                            </select>
                            <div class="contMessage contMessage_id_analizador_comparacion"></div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group col-6">
                            <label for="" class=''>Método prueba</label>
                            <select name="id_metodologia_prueba" class="form-control id_metodologia_prueba notClear">
                                <option value="">Seleccione una metodologia de prueba...</option>
                                @foreach($metodologias as $metodologia)
                                @if($corridaAnalito->metodologia_prueba_metodologia == $metodologia->metodologia)
                                <option value="{{ $metodologia->id_encrypt_metodologia }}" selected>{{ $metodologia->nom_metodologia }}</option>
                                @else
                                <option value="{{ $metodologia->id_encrypt_metodologia }}">{{ $metodologia->nom_metodologia }}</option>
                                @endif
                                @endforeach
                            </select>
                            <div class="contMessage contMessage_id_metodologia_prueba"></div>
                        </div>

                        <div class="form-group col-6">
                            <label for="" class=''>Método comparativo</label>
                            <select name="id_metodologia_comparacion" class="form-control id_metodologia_comparacion notClear">
                                <option value="">Seleccione una metodologia de comparación...</option>\
                                @foreach($metodologias as $metodologia)
                                @if($corridaAnalito->metodologia_comparacion_metodologia == $metodologia->metodologia)
                                <option value="{{ $metodologia->id_encrypt_metodologia }}" selected>{{ $metodologia->nom_metodologia }}</option>
                                @else
                                <option value="{{ $metodologia->id_encrypt_metodologia }}">{{ $metodologia->nom_metodologia }}</option>
                                @endif
                                @endforeach
                            </select>
                            <div class="contMessage contMessage_id_metodologia_comparacion"></div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group col-6">
                            <label for="" class=''>Modo prueba</label>
                            <select name="id_modo_metodologia_prueba" class="form-control id_modo_metodologia_prueba notClear">
                                <option value="">Seleccione un modo para la metodologia de prueba...</option>
                                @foreach($modos as $modo)
                                @if($corridaAnalito->modo_metodologia_prueba_modo == $modo->modo)
                                <option value="{{ $modo->id_encrypt_modo }}" selected>{{ $modo->nom_modo }}</option>
                                @else
                                <option value="{{ $modo->id_encrypt_modo }}">{{ $modo->nom_modo }}</option>
                                @endif
                                @endforeach
                            </select>
                            <div class="contMessage contMessage_id_modo_metodologia_prueba"></div>
                        </div>

                        <div class="form-group col-6">
                            <label for="" class=''>Modo comparativo</label>
                            <select name="id_modo_metodologia_comparacion" class="form-control id_modo_metodologia_comparacion notClear">
                                <option value="">Seleccione un modo para la metodologia de comparación...</option>
                                @foreach($modos as $modo)
                                @if($corridaAnalito->modo_metodologia_comparacion_modo == $modo->modo)
                                <option value="{{ $modo->id_encrypt_modo }}" selected>{{ $modo->nom_modo }}</option>
                                @else
                                <option value="{{ $modo->id_encrypt_modo }}">{{ $modo->nom_modo }}</option>
                                @endif
                                @endforeach
                            </select>
                            <div class="contMessage contMessage_id_modo_metodologia_comparacion"></div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="form-group col-6">
                            <label for="" class=''>Unidad prueba</label>
                            <select name="id_unidad_prueba" class="form-control id_unidad_prueba notClear">
                                <option value="">Seleccione una unidad de prueba...</option>
                                @foreach($unidades as $unidad)
                                @if($corridaAnalito->unidad_prueba_unidad == $unidad->unidad)
                                <option value="{{ $unidad->id_encrypt_unidad }}" selected>{{ $unidad->nom_unidad }}</option>
                                @else
                                <option value="{{ $unidad->id_encrypt_unidad }}">{{ $unidad->nom_unidad }}</option>
                                @endif
                                @endforeach
                            </select>
                            <div class="contMessage contMessage_id_unidad_prueba"></div>
                        </div>

                        <div class="form-group col-6">
                            <label for="" class=''>Unidad comparativo</label>
                            <select name="id_unidad_comparacion" class="form-control id_unidad_comparacion notClear">
                                <option value="">Seleccione una unidad de comparación...</option>
                                @foreach($unidades as $unidad)
                                @if($corridaAnalito->unidad_comparacion_unidad == $unidad->unidad)
                                <option value="{{ $unidad->id_encrypt_unidad }}" selected>{{ $unidad->nom_unidad }}</option>
                                @else
                                <option value="{{ $unidad->id_encrypt_unidad }}">{{ $unidad->nom_unidad }}</option>
                                @endif
                                @endforeach
                            </select>
                            <div class="contMessage contMessage_id_unidad_comparacion"></div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-6">
                            <label for="" class=''>DMPeM %</label>
                            <input type="text" name="diferencia_maxima_permisible" class="form-control diferencia_maxima_permisible notClear" value="{{ $corridaAnalito->diferencia_maxima_permisible }}">
                            <div class="contMessage contMessage_diferencia_maxima_permisible"></div>
                        </div>
                        <div class="form-group col-6">
                            <label for="" class=''>Límite APS %</label>
                            <input type="text" name="limite_aps" class="form-control limite_aps notClear" value="{{ $corridaAnalito->limite_aps }}">
                            <div class="contMessage contMessage_limite_aps"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btnEvent" data-event='click' data-route='CancelModal' data-preguntaantes="false">Cancelar</button>
                    <button type="submit" class="btn btn-primary">Actualizar</button>
                </div>
            </form>
    </div>
</div>
</div>


<script>
    var areas = [];
    var analizadores = [];
    var metodologias = [];
    var analitos = [];
    var unidades = [];
    $(document).ready(function(){
        areas = JSON.parse("{{ $areas }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r)/gm,""));
        analizadores = JSON.parse("{{ $analizadores }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r)/gm,""));
        metodologias = JSON.parse("{{ $metodologias }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r|\t)/gm,""));
        analitos = JSON.parse("{{ $analitos }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r)/gm,""));
        unidades = JSON.parse("{{ $unidades }}".replace(/&quot;/g,'"').replace(/(\r\n|\n|\r)/gm,""));
        getListsByArea(false);
    });
    function getListsByArea(clear = true){
        var index = $('.id_area').prop('selectedIndex') - 1;
        $('.id_analizador_prueba option').css('display','none');
        $('.id_analizador_prueba option').eq(0).css('display','block');
        $('.id_analizador_comparacion option').css('display','none');
        $('.id_analizador_comparacion option').eq(0).css('display','block');
        $('.id_metodologia_prueba option').css('display','none');
        $('.id_metodologia_prueba option').eq(0).css('display','block');
        $('.id_metodologia_comparacion option').css('display','none');
        $('.id_metodologia_comparacion option').eq(0).css('display','block');
        $('.id_analito option').css('display','none');
        $('.id_analito option').eq(0).css('display','block');
        $('.id_unidad_prueba option').css('display','none');
        $('.id_unidad_prueba option').eq(0).css('display','block');
        $('.id_unidad_comparacion option').css('display','none');
        $('.id_unidad_comparacion option').eq(0).css('display','block');
        if(clear){
            $('.id_analizador_prueba').prop('selectedIndex',0);
            $('.id_analizador_comparacion').prop('selectedIndex',0);
            $('.id_metodologia_prueba').prop('selectedIndex',0);
            $('.id_metodologia_comparacion').prop('selectedIndex',0);
            $('.id_analito').prop('selectedIndex',0);
            $('.id_unidad_prueba').prop('selectedIndex',0);
            $('.id_unidad_comparacion').prop('selectedIndex',0);
        }
        if(index >= 0){
            let nom_area = areas[index].nom_area;
            for (let i = 0; i < analitos.length; i++) {
                if(analitos[i].nom_area == nom_area) $('.id_analito option').eq(i+1).css('display','block');
            }
            for (let i = 0; i < analizadores.length; i++) {
                if(analizadores[i].nom_area == nom_area) $('.id_analizador_prueba option').eq(i+1).css('display','block');
                if(analizadores[i].nom_area == nom_area) $('.id_analizador_comparacion option').eq(i+1).css('display','block');
            }
            for (let i = 0; i < metodologias.length; i++) {
                if(metodologias[i].nom_area == nom_area) $('.id_metodologia_prueba option').eq(i+1).css('display','block');
                if(metodologias[i].nom_area == nom_area) $('.id_metodologia_comparacion option').eq(i+1).css('display','block');
            }
            for (let i = 0; i < unidades.length; i++) {
                if(unidades[i].nom_area == nom_area) $('.id_unidad_prueba option').eq(i+1).css('display','block');
                if(unidades[i].nom_area == nom_area) $('.id_unidad_comparacion option').eq(i+1).css('display','block');
            }
        }
    }
</script>