<div class="modal" tabindex="-1">
    <div class="modal-dialog" style="margin-bottom: 250px">
        <div class="modal-content">
            <div class="modal-header">
                <div class="d-inline p-2">
                    <img style="width: 50px;" src="{{ asset('img/v2m.jpg') }}" class="icon-panel" alt="Ir al módulo de inicio">
                </div>
                <h5 class="modal-title text-primary">Resultados para <strong>{{ $analitoEP15->nom_analito }}</strong></h5>
                <button class="btnEvent close" data-event='click' data-route='CancelModal' data-preguntaantes="true">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-header">
                <a style='background-color: #28a745; color: white;' class='btn btn-sm btnEvent ml-2'
                    href="DownloadPlantillaResultadosEP15?id_reference={{ $analitoEP15->id_analito_ep15 }}" target="_blank">
                    <i class="fas fa-file-excel"></i> Descargar plantilla</a>
            </div>
            <form class="form formEvent formCreate" data-route="StoreResultsEP15" data-event="submit"
                data-close_modal='true'>
                <div class="modal-body overflow-auto">

                @for($nivel=1; $nivel<=$analitoEP15->num_niveles; $nivel++)
                    <h2 class='h5 text-primary mb-2 levelData'>Nivel {{ $nivel }}</h2>

                    <table
                        class="table table-striped table-sm text-center dinamicTable mb-3 tbl_gestion_resultados_ep15"
                        data-reference_canalito_ep15='{{ $analitoEP15->id_analito_ep15 }}'
                    >
                        <thead>
                            <tr>
                                <th scope="col" rowspan='2'># Corrida</th>
                                <th scope="col" rowspan='2'>Usuario</th>
                                <th scope="col" rowspan='2'>Fecha</th>
                                <th scope="col" colspan='5' rowspan='1'>Repeticiones</th>
                            </tr>
                            <tr>
                                <th colspan='1' rowspan='1' scope="col"><span class='text-dark'>1</th>
                                <th colspan='1' rowspan='1' scope="col"><span class='text-dark'>2</th>
                                <th colspan='1' rowspan='1' scope="col"><span class='text-dark'>3</th>
                                <th colspan='1' rowspan='1' scope="col"><span class='text-dark'>4</th>
                                <th colspan='1' rowspan='1' scope="col"><span class='text-dark'>5</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php
                                $resultados_nivel = array();
                                foreach($resultados as $resultado){
                                    if($resultado->nivel_id_nivel == $nivel){
                                        array_push($resultados_nivel, array(
                                            "id_resultado_ep15" => $resultado->id_resultado_ep15,
                                            "fecha" => $resultado->fecha,
                                            "concentracion_1" => $resultado->concentracion_1,
                                            "concentracion_2" => $resultado->concentracion_2,
                                            "concentracion_3" => $resultado->concentracion_3,
                                            "concentracion_4" => $resultado->concentracion_4,
                                            "concentracion_5" => $resultado->concentracion_5,
                                            "num_corrida" => $resultado->num_corrida,
                                            "estado" => $resultado->estado,
                                            "id_usuario" => $resultado->id_usuario,
                                            "nom_usuario" => $resultado->nom_usuario,
                                            "id_analito_ep15" => $resultado->id_analito_ep15,
                                            "proyecto_ep15_id_proyecto_ep15" => $resultado->proyecto_ep15_id_proyecto_ep15,
                                            "nivel_id_nivel" => $resultado->nivel_id_nivel,
                                            "analito_id_analito" => $resultado->analito_id_analito,
                                            "analizador_id_analizador" => $resultado->analizador_id_analizador,
                                            "unidad_id_unidad" => $resultado->unidad_id_unidad,
                                            "lote_reactivo" => $resultado->lote_reactivo,
                                            "lote_calibrador" => $resultado->lote_calibrador
                                        ));
                                    }
                                }
                            @endphp

                            @for($corrida=1; $corrida<=5; $corrida++)

                                @php $result_search = array_search($corrida, array_column($resultados_nivel, "num_corrida")); @endphp

                                @if($result_search !== FALSE)

                                    @php $resultado_corrida = $resultados_nivel[$result_search]; @endphp

                                    <tr data-reference="{{ $resultado_corrida['id_resultado_ep15'] }}" data-num_corrida='{{ $corrida }}' data-num_nivel='{{ $nivel }}'>
                                        <td scope='col'>{{ $corrida }}</td>
                                        <td scope='col'>{{ $resultado_corrida["nom_usuario"] }}</td>
                                        <td scope='col'>
                                            <input type='text' class='form-control form-control-sm fecha fecha_digitacion input_result btnEvent' data-event='change' data-route='ChangeResult' value='{{ $resultado_corrida["fecha"] }}' id="level_{{ $nivel }}_corrida_{{ $corrida }}_fecha">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_1 btnEvent' value='{{ round($resultado_corrida["concentracion_1"],3) }}' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_1">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_2 btnEvent' value='{{ round($resultado_corrida["concentracion_2"],3) }}' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_2">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_3 btnEvent' value='{{ round($resultado_corrida["concentracion_3"],3) }}' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_3">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_4 btnEvent' value='{{ round($resultado_corrida["concentracion_4"],3) }}' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_4">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_5 btnEvent' value='{{ round($resultado_corrida["concentracion_5"],3) }}' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_5">
                                        </td>
                                    </tr>

                                @else
                                    <tr data-num_corrida='{{ $corrida }}' data-num_nivel='{{ $nivel }}'>
                                        <td scope='col'>{{ $corrida }}</td>
                                        <td scope='col'>-</td>
                                        <td scope='col'>
                                            <input type='text' class='form-control form-control-sm fecha fecha_digitacion input_result btnEvent' data-event='change' data-route='ChangeResult' value='{{ Date("Y-m-d H:i:s") }}' id="level_{{ $nivel }}_corrida_{{ $corrida }}_fecha">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_1 btnEvent' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_1">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_2 btnEvent' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_2">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_3 btnEvent' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_3">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_4 btnEvent' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_4">
                                        </td>
                                        <td scope='col'>
                                            <input type="text" placeholder='--' class='form-control form-control-sm concentracion_5 btnEvent' data-event='change' data-route='ChangeResult' id="level_{{ $nivel }}_corrida_{{ $corrida }}_rep_5">
                                        </td>
                                    </tr>
                                @endif
                            @endfor

                        </tbody>
                    </table>
                @endfor

                </div>
                    <button style='background-color: #28a745; color: white;' class='btn btn-sm btnEvent ml-2'
                    data-event="click" data-route="LoadExcel_ResultadoEP15">
                    <i class="fas fa-file-excel"></i> Cargar resultados</button>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btnEvent" data-event='click' data-route='CancelModal'
                        data-preguntaantes="true">Cancelar</button>
                    <button type="submit" class="btn btn-primary">Guardar</button>
                </div>
            </form>
        </div>
    </div>
</div>