<style>
    .content-levels {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 1rem;
    }
    td, th {
        vertical-align: middle !important;
        text-align: center;
    }
</style>
<div class="modal" tabindex="-1">

    <div class="modal-dialog" style='width: 1000px'>
    
        <div class="modal-content">

            <div class="modal-header">
                <h5 class="modal-title text-primary">Tabla resumen EP15 de analitos</h5>
                </h5>
                <button class="btnEvent close" data-event='click' data-route='CancelModal'>
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                
            <div class="text-center">
                    @if(Auth::user()->rol_id_rol != 5)
                    <img width="50%" src="{{$cliente->imagen_cliente}}">
                    @endif
                </div>
                <div class="text-right">
                    <form class='formEvent' data-event='submit' data-route='ExportReportEP15' data-reference='{{ $id_reference }}'>
                        <a target="_blank" href='/GenerateInformeTablaEP15XLSX?id_reference={{ $id_reference }}' class="btn btn-success btn-sm btn-icon-split mb-3">
                            <span class="icon text-dark-100">
                                <span class="fas fa-file-excel"></span>
                            </span>
                            <span class="text">Exportar</span>
                        </a>
                        <a target="_blank" href='/GenerateInformeTablaEP15?id_reference={{ $id_reference }}' class="btn btn-danger btn-sm btn-icon-split mb-3">
                            <span class="icon text-dark-100">
                                <i class="fas fa-file-pdf"></i>
                            </span>
                            <span class="text">Exportar</span>
                        </a>
                    </form>
                </div>
                <table width="100%" class="table table-bordered table-sm table-hover">
                    <thead>
                        <tr class="text-center bg-primary text-white">
                            <th width="5%">N</th>
                            <th width="17%">Analito</th>
                            <th width="5%">Nivel</th>
                            <th width="9%">S<sub>R</sub></th>
                            <th width="9%">δ<sub>R</sub></th>
                            <th width="9%">S<sub>WL</sub></th>
                            <th width="9%">UVL Repetibilidad</th>
                            <th width="9%">UVL Intra-Laboratorio</th>
                            <th width="9%">Sesgo por inserto</th>
                            <th width="9%">Sesgo por grupo par</th>
                        </tr>
                    </thead>
                    <tbody>

                    @php
                    $index = 0;
                    $row = 0;
                    foreach($analitos as $analito){
                        $analitoEP15 = $analito['analito'];
                        $obj_json = $analito['obj_json'];
                        $niveles = $analito['niveles'];
                    @endphp        
                    @if(count($obj_json) > 0)
                        @php
                            $index = $index + 1;
                        @endphp
                        @if($index % 2 != 0)
                            <tr class="bg-gray-100">
                        @else
                            <tr>
                        @endif
                            <td rowspan="{{ $analitoEP15->num_niveles + 1}}">{{ $index }}</td>
                            <td rowspan="{{ $analitoEP15->num_niveles + 1}}">{{ $analitoEP15->nom_analito }}</td>
                        </tr>
                        
                        @for($nivel=1; $nivel<=$analitoEP15->num_niveles; $nivel++)
                        @php
                            $row = $row + 1;
                        @endphp
                        @if($row % 2 != 0)
                            <tr class="bg-gray-200">
                        @else
                            <tr>
                        @endif
                                <td>{{ $nivel }}</td>
                                <td>{{ round($obj_json[$nivel]["corridas"]["general"]["sr"],5) }}</td>
                                <td>{{ round($obj_json[$nivel]["sigma_r"],5) }}</td>
                                <td>{{ round($obj_json[$nivel]["corridas"]["general"]["swl"],5) }}</td>
                                <td>{{ number_format(round($obj_json[$nivel]["corridas"]["general"]["uvl_repetibilidad"],4), 4) }}</td>
                                <td>{{ number_format(round($obj_json[$nivel]["corridas"]["general"]["uvl_intra_laboratorio"],4), 4) }}</td>
                                <td>{{ round($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_inserto"],4) }}%</td>
                                <td>{{ round($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_gpar"],4) }}%</td>
                                
                            </tr>
                        @endfor
                    @endif
                    @php
                    }
                    @endphp
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar informe</button>
            </div>
        </div>
    </div>
</div>