<head>
    <title>Tabla resumen EP15 de analitos</title>
</head>
<table>
    <link href="<?php echo e(asset('fontawesome-free/css/all.min.css?v2')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/sb-admin-personalizado.css?v2')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/jquery.dataTables.min.css?v2')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/toastr.min.css?v2')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/select2.css?v2')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/home.css?v2')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/daterangepicker.css?v2')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('jquery-ui/jquery-ui.css?v2')); ?>" rel="stylesheet">
    <style>
        svg g text{
            font-size: small !important;
        }
        @page  {
            size: A4;
            margin: 1.5cm;
        }

        @media  print {

            html,
            body {
                width: 210mm;
                height: 297mm;
            }

            body {
                -webkit-print-color-adjust: exact;
                -moz-print-color-adjust: exact;
                -ms-print-color-adjust: exact;
                print-color-adjust: exact;
            }
            td{
                text-align: center;
            }
            .content-levels {
                width: 100%;
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                gap: 1rem;
            }
            .content-levels>div {
                width: 100%;
            }
            .contenido_ep15{
                padding: 0.5rem;
            }
            .break-page {
                clear: both;
                page-break-after: always;
            }
            td, th {
                vertical-align: middle !important;
                text-align: center;
            }
        }
    </style>
<thead>

<tr>
    <th>
        <div style="width: 100%; display: flex; flex-direction: column; align-items: center; padding-bottom: 1rem;">
            <div class="text-center"
                 style="display: flex; flex-direction: row; justify-content: space-between; align-items: center; width: 100%">
                <?php if(Auth::user()->rol_id_rol != 5): ?>
                    <img width="18%" src="<?php echo e($cliente->imagen_cliente); ?>" alt="imagen_cliente">
                <?php else: ?>
                    <img width="18%" src="<?php echo e(asset('/img/v2m.jpg')); ?>" alt="imagen_cliente">
                <?php endif; ?>
                <div style="display: flex; justify-content: center; flex-direction: column; align-items: center;
                padding-top: 1rem; padding-bottom: 2rem; font-size: 1.4em;">
                    <span style="color: #184a9c">V2M. V.1.0. Verificación de la precisión y estimación del sesgo</span>
                </div>
                <img width="15%" src="<?php echo e(asset('/img/logo-quik.png')); ?>" alt="imagen_cliente">

            </div>

        </div>
    </th>
</tr>
</thead>
    <tbody>
    <tr>
        <td>
            <h3>
                <span style="color: #184a9c">Tabla resumen EP15 de analitos</span>
            </h3>
            <br>
            <table width="100%" class="table table-bordered table-sm table-hover">
                    <thead>
                        <tr class="text-center">
                            <th width="5%">N</th>
                            <th width="17%">Analito</th>
                            <th width="5%">Nivel</th>
                            <th width="9%">S<sub>R</sub></th>
                            <th width="9%">δ<sub>R</sub></th>
                            <th width="9%">S<sub>WL</sub></th>
                            <th width="9%">UVL Repetibilidad</th>
                            <th width="9%">UVL Intra-Laboratorio</th>
                            <th width="9%">Sesgo por inserto</th>
                            <th width="9%">Sesgo por grupo par</th>
                        </tr>
                    </thead>
                    <tbody>

                    <?php
                    $index = 0;
                    $row = 0;
                    foreach($analitos as $analito){
                        $analitoEP15 = $analito['analito'];
                        $obj_json = $analito['obj_json'];
                        $niveles = $analito['niveles'];
                    ?>        
                    <?php if(count($obj_json) > 0): ?>
                        <?php
                            $index = $index + 1;
                        ?>
                        <?php if($index % 2 != 0): ?>
                            <tr class="bg-gray-100">
                        <?php else: ?>
                            <tr>
                        <?php endif; ?>
                            <td rowspan="<?php echo e($analitoEP15->num_niveles + 1); ?>"><?php echo e($index); ?></td>
                            <td rowspan="<?php echo e($analitoEP15->num_niveles + 1); ?>"><?php echo e($analitoEP15->nom_analito); ?></td>
                        </tr>
                        
                        <?php for($nivel=1; $nivel<=$analitoEP15->num_niveles; $nivel++): ?>
                        <?php
                            $row = $row + 1;
                        ?>
                        <?php if($row % 2 != 0): ?>
                            <tr class="bg-gray-200">
                        <?php else: ?>
                            <tr>
                        <?php endif; ?>
                                <td><?php echo e($nivel); ?></td>
                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["sr"],5)); ?></td>
                                <td><?php echo e(round($obj_json[$nivel]["sigma_r"],5)); ?></td>
                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["swl"],5)); ?></td>
                                <td><?php echo e(number_format(round($obj_json[$nivel]["corridas"]["general"]["uvl_repetibilidad"],4), 4)); ?></td>
                                <td><?php echo e(number_format(round($obj_json[$nivel]["corridas"]["general"]["uvl_intra_laboratorio"],4), 4)); ?></td>
                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_inserto"],4)); ?>%</td>
                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_gpar"],4)); ?>%</td>
                                
                            </tr>
                        <?php endfor; ?>
                    <?php endif; ?>
                    <?php
                    }
                    ?>
                    </tbody>
                </table>
        </td>
    </tr>
    </tbody>
</table>
<script type="text/javascript">
    window.onafterprint = function () {
        window.close()
    }
    window.onload = function () {
        setTimeout(() => {
            window.focus();
            window.print();
        }, 500)
        window.onfocus = function () {
            window.close();
        }
    };
</script>
<?php /**PATH /home/quikappspane/public_html/v2m_pruebas/resources/views/resultadoEP15/resultadoEP15InformeTablaPdf.blade.php ENDPATH**/ ?>