

<?php $__env->startSection('extend_head'); ?>
<link href="<?php echo e(asset('css/sb-admin-personalizado.min.css')); ?>" rel="stylesheet">
<link href="<?php echo e(asset('css/pdf.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<header>
    <div class="cont-principal">
        <div class="cont-logo">
            <img src="<?php echo e(asset('img/logo-quik.png')); ?>">
        </div>
        <div class="cont-titulo">
            <h1 class='text-primary text-center'>EP-09 COMPARACIÓN DE MÉTODOS Y ESTIMACIÓN DEL SESGO USANDO MUESTRAS DE
                PACIENTES</h1>
        </div>
        <div class="cont-codificacion">
            <div class="columna-codificacion-1-1">CODIGO</div>
            <div class="columna-codificacion-1-2">N/A</div>
            <div class="columna-codificacion-2-1">VIGENTE DESDE</div>
            <div class="columna-codificacion-2-2">N/A</div>
            <div class="columna-codificacion-3-1">VERSIÓN</div>
            <div class="columna-codificacion-3-2">N/A</div>
            <div class="columna-codificacion-4-1">PAGINA</div>
            <div class="columna-codificacion-4-2"></div>
        </div>

    </div>
</header>

<aside class='margen'></aside>

<main>
    <div class="container-fluid">
        <br />
        <span class='subtitulo-primary'>Información general</span>
        <br />
        <br />
        <table>
            <tr>
                <td><strong class='h6'>Código del proyecto: </strong> V2M-<?php echo e($analitoCorrida->id_corrida_area); ?></td>
                <td><strong class='h6'>Método de prueba</strong></td>
                <td><strong class='h6'>Método de comparación</strong></td>
            </tr>

            <tr>
                <td><strong class='h6'>Área: </strong> <?php echo e($analitoCorrida->nom_area); ?></td>
                <td><?php echo e($analitoCorrida->nom_metodologia_prueba); ?></td>
                <td><?php echo e($analitoCorrida->nom_metodologia_comparacion); ?></td>
            </tr>

            <tr>
                <td><strong class='h6'>Laboratorio: </strong> <?php echo e($analitoCorrida->no_laboratorio); ?> -
                    <?php echo e($analitoCorrida->nom_laboratorio); ?></td>
                <td>Modo: <?php echo e($analitoCorrida->nom_modo_metodologia_prueba); ?></td>
                <td>Unidades: <?php echo e($analitoCorrida->nom_unidad_metodologia_prueba); ?></td>
            </tr>

            <tr>
                <td><strong class='h6'>Fecha de inicio: </strong> <?php echo e($analitoCorrida->fecha_inicio); ?></td>
                <td>Modo: <?php echo e($analitoCorrida->nom_modo_metodologia_comparacion); ?></td>
                <td>Unidades: <?php echo e($analitoCorrida->nom_unidad_metodologia_comparacion); ?></td>
            </tr>
        </table>
        <br />
        <br />
        <span class='subtitulo-primary'>Gráficos de correlación</span>
        <br />
        <br />
    </div>

    <table class='table-padding'>
        <tr>
            <td>
                <img src="<?php echo e($urlImgB1); ?>" width="340">
            </td>
            <td>
                <img src="<?php echo e($urlImgB2); ?>" width="340">
            </td>
        </tr>
        <tr>
            <td>
                <br /><br />
            </td>
            <td>
                <br /><br />
            </td>
        </tr>
        <tr>
            <td>
                <img src="<?php echo e($urlImgB3); ?>" width="340">
            </td>
            <td>
                <img src="<?php echo e($urlImgB4); ?>" width="340">
            </td>
        </tr>
    </table>

    <br />
    <span class='subtitulo-dark'>Observaciones</span>
    <div class='observaciones'></div>

    <!-- Segunda seccion -->
    <div class="page-break"></div>
    <span class='subtitulo-primary'>Apendice A y B</span>
    <table class="table-statistical">
        <thead>
            <tr>
                <th scope="col" rowspan='2' colspan='1'>Muestra #</th>
                <th scope="col" rowspan='1' colspan='3'>Método de Prueba (Y)</th>
                <th scope="col" rowspan='1' colspan='3'>Método Comparativo (X)</th>
                <th scope="col" rowspan='2' colspan='1'>Valor absoluto diferencia resultados método prueba</th>
                <th scope="col" rowspan='2' colspan='1'>Valor absoluto diferencia resultados método comparativo</th>
                <th scope="col" rowspan='2' colspan='1'>Promedio de ambos métodos</th>
                <th scope='col' rowspan='2' colspan='1'>Promedio de método de prueba menos el promedio del método
                    comparativo</th>
                <th scope='col' rowspan='2' colspan='1'>R1 mét prueba- mét Comparativo</th>
                <th scope='col' rowspan='2' colspan='1'>R2 mét prueba- mét Comparativo</th>
            </tr>
            <tr>
                <th scope='col' rowspan='1' colspan='1'>R1</th>
                <th scope='col' rowspan='1' colspan='1'>R2</th>
                <th scope='col' rowspan='1' colspan='1'>X dif</th>
                <th scope='col' rowspan='1' colspan='1'>R1</th>
                <th scope='col' rowspan='1' colspan='1'>R2</th>
                <th scope='col' rowspan='1' colspan='1'>X dif</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $resultados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $resultado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td class='table-secondary'><?php echo e($index+1); ?></td>
                <td><?php echo e($resultado->resultado_m1c1); ?></td>
                <td><?php echo e($resultado->resultado_m1c2); ?></td>
                <td class='table-warning'><?php echo e(round($resultado->promedio_metodo_prueba,3)); ?></td>
                <td><?php echo e($resultado->resultado_m2c1); ?></td>
                <td><?php echo e($resultado->resultado_m2c2); ?></td>
                <td class='table-warning'><?php echo e(round($resultado->promedio_metodo_comparativo,3)); ?></td>
                <td><?php echo e(round($resultado->valor_absoluto_metodo_prueba,3)); ?></td>
                <td><?php echo e(round($resultado->valor_absoluto_metodo_comparativo,3)); ?></td>
                <td><?php echo e(round($resultado->promedio_ambos_metodos,3)); ?></td>
                <td><?php echo e(round($resultado->metodo_prueba_menos_metodo_comparacion,3)); ?></td>
                <td><?php echo e(round($resultado->r1_menos_metodo_comparacion,3)); ?></td>
                <td><?php echo e(round($resultado->r2_menos_metodo_comparacion,3)); ?></td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    <!-- Segunda seccion -->
    <div class="page-break"></div>
    <span class='subtitulo-primary'>C1. Dentro-Método Duplicados Check (Sección 4.1)</span>


    <div class="page-break"></div>
    <span class='subtitulo-primary'>C2. Prueba para resultados atípicos (Sección 4.4)</span>
    <?php if(
    isset($resultados[0]->resultado_m1c1) &&
    isset($resultados[0]->resultado_m1c2) &&
    isset($resultados[0]->resultado_m2c1) &&
    isset($resultados[0]->resultado_m2c2)
    ): ?>


    <table
        class="table table-light table-bordered table-sm table-responsive-sm text-center overflow-auto rounded border shadow-sm w-100">
        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/x11.png')); ?>" height='20'></td>
            <td><?php echo e($resultados[0]->resultado_m2c1); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/x12.png')); ?>" height='20'></td>
            <td><?php echo e($resultados[0]->resultado_m2c2); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form7.png')); ?>" height='24'></td>
            <td><?php echo e(round($resultados[0]->valor_absoluto_primeros_resultados,3)); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form8.png')); ?>" height='24'></td>
            <td><?php echo e(round($resultados[0]->valor_absoluto_segundos_resultados,3)); ?></td>
        </tr>

        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/y11.png')); ?>" height='20'></td>
            <td><?php echo e($resultados[0]->resultado_m1c1); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/y12.png')); ?>" height='20'></td>
            <td><?php echo e($resultados[0]->resultado_m1c2); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form9.png')); ?>" height='52'></td>
            <td><?php echo e(round($resultados[0]->indice_primer_resultado_met_comparacion,3)); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form10.png')); ?>" height='38'></td>
            <td><?php echo e(round($resultados[0]->indice_segundo_resultado_met_comparacion,3)); ?></td>
        </tr>

    </table>

    <?php endif; ?>

    <table
        class="table table-light table-striped table-sm table-responsive-sm text-center mt-4 overflow-auto rounded border shadow w-100">
        <thead>
            <tr>
                <th>Muestra #</th>
                <th><img src="<?php echo e(asset('img/formulas/xi1.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/xi2.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/yi1.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/yi2.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/ei1.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/ei2.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/eit1.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/eit2.png')); ?>" height='20'></th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $resultados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $resultado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <th><?php echo e($index+1); ?></th>
                <td><?php echo e($resultado->resultado_m2c1); ?></td>
                <td><?php echo e($resultado->resultado_m2c2); ?></td>
                <td><?php echo e($resultado->resultado_m1c1); ?></td>
                <td><?php echo e($resultado->resultado_m1c2); ?></td>
                <td><?php echo e(round($resultado->valor_absoluto_primeros_resultados,3)); ?></td>
                <td><?php echo e(round($resultado->valor_absoluto_segundos_resultados,3)); ?></td>
                <td><?php echo e(round($resultado->indice_primer_resultado_met_comparacion,3)); ?></td>
                <td><?php echo e(round($resultado->indice_segundo_resultado_met_comparacion,3)); ?></td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>


    <table
        class="table table-light table-bordered table-sm table-responsive-sm text-center overflow-auto rounded border shadow-sm w-100">
        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form11.png')); ?>" height='65'></td>
            <td><?php echo e(round($promedios->sumatoria_e_ochentavo,3)); ?></td>
            <td class='table-secondary'>Límite de control = 4 * E</td>
            <td><?php echo e(round($promedios->sumatoria_e_ochentavo * 4,3)); ?></td>
        </tr>

        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form12.png')); ?>" height='55'></td>
            <td><?php echo e(round($promedios->sumatoria_e_prima_ochentavo,3)); ?></td>
            <td class='table-secondary'>Límite de control = 4 * E'</td>
            <td><?php echo e(round($promedios->sumatoria_e_prima_ochentavo * 4,3)); ?></td>
        </tr>

    </table>

    <div class="page-break"></div>
    <span class='subtitulo-primary'>C3. Rango adecuado Test-Correlación (Sección 4.5)</span>
    <table
        class="table table-light table-bordered table-sm table-responsive-sm text-center overflow-auto rounded border shadow-sm w-100">
        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/(_x_).png')); ?>" height='20'></td>
            <td><?php echo e(round($promedios->avg_promedios_met_comparacion,3)); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/sum(_x_i-_x_)^2.png')); ?>" height='32'></td>
            <td><?php echo e(round($promedios->sumatoria_met_comp_individual_menos_promedio_comp_cuadrado,3)); ?></td>
            <td rowspan='2' class='table-secondary'><img src="<?php echo e(asset('img/formulas/sum(_x_i-_x_)(_y_i-_y_).png')); ?>"
                    height='30'></td>
            <td rowspan='2'><?php echo e(round($promedios->sumatoria_mult_entre_xix_yi_y,3)); ?></td>
            <td rowspan='2' class='table-secondary'><img src="<?php echo e(asset('img/formulas/form13.png')); ?>" height='65'></td>
            <td rowspan='2'><?php echo e(round($promedios->division_r,3)); ?></td>
        </tr>

        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/(_y_).png')); ?>" height='20'></td>
            <td><?php echo e(round($promedios->avg_promedios_met_prueba,3)); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/sum(_y_i-_y_)^2.png')); ?>" height='32'></td>
            <td><?php echo e(round($promedios->sumatoria_met_prueba_individual_menos_promedio_prueba_cuadrado,3)); ?></td>
        </tr>

    </table>

    <table
        class="table table-light table-striped table-sm table-responsive-sm text-center mt-4 overflow-auto rounded border shadow w-100">
        <thead>
            <tr>
                <th>Muestra #</th>
                <th><img src="<?php echo e(asset('img/formulas/xi1.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/xi2.png')); ?>" height='22'></th>
                <th><img src="<?php echo e(asset('img/formulas/yi1.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/yi2.png')); ?>" height='22'></th>
                <th><img src="<?php echo e(asset('img/formulas/(_xi_).png')); ?>" height='23'></th>
                <th><img src="<?php echo e(asset('img/formulas/form16.png')); ?>" height='27'></th>
                <th><img src="<?php echo e(asset('img/formulas/form17.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/(_yi_).png')); ?>" height='23'></th>
                <th><img src="<?php echo e(asset('img/formulas/form18.png')); ?>" height='21'></th>
                <th><img src="<?php echo e(asset('img/formulas/form19.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/form20.png')); ?>" height='23'></th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $resultados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $resultado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <th><?php echo e($index+1); ?></th>
                <td><?php echo e($resultado->resultado_m2c1); ?></td>
                <td><?php echo e($resultado->resultado_m2c2); ?></td>
                <td><?php echo e($resultado->resultado_m1c1); ?></td>
                <td><?php echo e($resultado->resultado_m1c2); ?></td>
                <td><?php echo e(round($resultado->promedio_metodo_comparativo,3)); ?></td>
                <td><?php echo e(round($resultado->met_comp_individual_menos_promedio_comp,3)); ?></td>
                <td><?php echo e(round($resultado->met_comp_individual_menos_promedio_comp_cuadrado,3)); ?></td>
                <td><?php echo e(round($resultado->promedio_metodo_prueba,3)); ?></td>
                <td><?php echo e(round($resultado->met_prueba_individual_menos_promedio_prueba,3)); ?></td>
                <td><?php echo e(round($resultado->met_prueba_individual_menos_promedio_prueba_cuadrado,3)); ?></td>
                <td><?php echo e(round($resultado->mult_entre_xix_yi_y,3)); ?></td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    <div class="page-break"></div>
    <span class='subtitulo-primary'>C4. Estimaciones de los parámetros de regresión (Sección 5.1) Pendiente (b): El uso
        de los datos de la página anterior calculado</span>
    <div class="row">
        <div class="col">
            <table class='table table-light table-bordered table-sm text-center rounded overflow-auto shadow-sm'>
                <tr>
                    <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form14.png')); ?>" height='42'></td>
                    <td><?php echo e(round($promedios->formula_b,3)); ?></td>
                </tr>
            </table>
        </div>
        <div class="col">
            <table class='table table-light table-bordered table-sm text-center rounded overflow-auto shadow-sm'>
                <tr>
                    <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form15.png')); ?>" height='22'></td>
                    <td><?php echo e(round($promedios->intercepcion_a,3)); ?></td>
                </tr>
            </table>
        </div>
    </div>

    <div class="page-break"></div>
    <span class='subtitulo-primary'>C5. Residuos y error típico de estimación (Sxy) - (Sección 6.1)</span>

    <?php if(
    isset($resultados_c5[0]->resultado_m1c1) &&
    isset($resultados_c5[0]->resultado_m1c2) &&
    isset($resultados_c5[0]->resultado_m2c1) &&
    isset($resultados_c5[0]->resultado_m2c2)
    ): ?>
    <table
        class="table table-light table-bordered table-sm table-responsive-sm text-center overflow-auto rounded border shadow-sm w-100">
        <tr>
            <th class='table-secondary'>Valores pronósticados:</th>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form22.png')); ?>" height='20'></td>
            <td><?php echo e(round($resultados_c5[0]->yai,3)); ?></td>
            <th class='table-secondary'>Suma de los cuadrados de los residuos</th>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form23.png')); ?>" height='46'></td>
            <td><?php echo e(round($promedios_c5->sumatoria_residuali_cuadrado,3)); ?></td>
            <th rowspan='2' class='table-secondary'>Desviación estándar de muestra de la regresión =</th>
            <th rowspan='2' class='table-secondary'><img src="<?php echo e(asset('img/formulas/form23.png')); ?>" height='46'></th>
            <td><?php echo e(round($promedios_c5->s_y_x,3)); ?></td>
            <th rowspan='2' class='table-secondary'>Sesgo en un nivel de decisión "c" de 150 = Bc</th>
            <td rowspan='2'><?php echo e(round($promedios_c5->sesgo150,3)); ?></td>
        </tr>
        <tr>
            <th class='table-secondary'><img src="<?php echo e(asset('img/formulas/residual_i_igual.png')); ?>" height='30'></th>
            <th class='table-secondary'><img src="<?php echo e(asset('img/formulas/form25.png')); ?>" height='20'></th>
            <td rowspan='2'><?php echo e(round($resultados_c5[0]->residuali,3)); ?></td>
            <th class='table-secondary' colspan='2'>Grados de libertad = N - 2</th>
            <td><?php echo e((sizeof($resultados_c5)-2)); ?></td>
        </tr>
    </table>
    <?php endif; ?>

    <table
        class="table table-light table-striped table-sm table-responsive-sm text-center mt-4 overflow-auto rounded border shadow w-100">
        <thead>
            <tr>
                <th>Muestra #</th>
                <th><img src="<?php echo e(asset('img/formulas/xi1.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/xi2.png')); ?>" height='22'></th>
                <th><img src="<?php echo e(asset('img/formulas/yi1.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/yi2.png')); ?>" height='22'></th>
                <th><img src="<?php echo e(asset('img/formulas/(_xi_).png')); ?>" height='23'></th>
                <th><img src="<?php echo e(asset('img/formulas/form16.png')); ?>" height='27'></th>
                <th><img src="<?php echo e(asset('img/formulas/form17.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/(_yi_).png')); ?>" height='23'></th>
                <th><img src="<?php echo e(asset('img/formulas/form18.png')); ?>" height='21'></th>
                <th><img src="<?php echo e(asset('img/formulas/form19.png')); ?>" height='20'></th>
                <th><img src="<?php echo e(asset('img/formulas/yai.png')); ?>" height='23'></th>
                <th><img src="<?php echo e(asset('img/formulas/residuali.png')); ?>" height='23'></th>
                <th><img src="<?php echo e(asset('img/formulas/form21.png')); ?>" height='23'></th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $resultados_c5; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $resultado_c5): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <th><?php echo e($index+1); ?></th>
                <td><?php echo e($resultado_c5->resultado_m2c1); ?></td>
                <td><?php echo e($resultado_c5->resultado_m2c2); ?></td>
                <td><?php echo e($resultado_c5->resultado_m1c1); ?></td>
                <td><?php echo e($resultado_c5->resultado_m1c2); ?></td>
                <td><?php echo e(round($resultado_c5->promedio_metodo_comparativo,3)); ?></td>
                <td><?php echo e(round($resultado_c5->met_comp_individual_menos_promedio_comp,3)); ?></td>
                <td><?php echo e(round($resultado_c5->met_comp_individual_menos_promedio_comp_cuadrado,3)); ?></td>
                <td><?php echo e(round($resultado_c5->promedio_metodo_prueba,3)); ?></td>
                <td><?php echo e(round($resultado_c5->met_prueba_individual_menos_promedio_prueba,3)); ?></td>
                <td><?php echo e(round($resultado_c5->met_prueba_individual_menos_promedio_prueba_cuadrado,3)); ?></td>
                <td><?php echo e(round($resultado_c5->yai,3)); ?></td>
                <td><?php echo e(round($resultado_c5->residuali,3)); ?></td>
                <td><?php echo e(round($resultado_c5->residuali_cuadrado,3)); ?></td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    <table
        class="table table-bordered table-sm table-responsive-sm text-center overflow-auto rounded border shadow-sm w-100">
        <tr>
            <th colspan='1' class='table-secondary' style='max-width: 100px'>El límite inferior del 95% de intervalo de
                confianza de la estimación de sesgo</th>
            <td colspan='3' class='table-secondary'><img src="<?php echo e(asset('img/formulas/form26.png')); ?>" height='90'></td>
            <th colspan='3'><?php echo e(round($promedios_c5->bc_menos_2s,3)); ?></th>
            <td colspan='3'><?php echo e(round($promedios_c5->indicador_bc_inf,3)); ?></td>
            <td colspan='3' class='table-secondary'><img src="<?php echo e(asset('img/formulas/form27.png')); ?>" height='87'></td>
            <th colspan='3'><?php echo e(round($promedios_c5->bc_menos_2s,3)); ?></th>
            <td colspan='3'><?php echo e(round($promedios_c5->indicador_bc_sup,3)); ?></td>
        </tr>
    </table>

    <?php if(
    isset($resultados[0]->resultado_m1c1) &&
    isset($resultados[0]->resultado_m1c2) &&
    isset($resultados[0]->resultado_m2c1) &&
    isset($resultados[0]->resultado_m2c2)
    ): ?>

    <table class="table-statistical">
        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/x11.png')); ?>" width='10'></td>
            <td><?php echo e($resultados[0]->resultado_m2c1); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/x12.png')); ?>" width='10'></td>
            <td><?php echo e($resultados[0]->resultado_m2c2); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form1.png')); ?>" width='11'></td>
            <td><?php echo e(round($resultados[0]->valor_absoluto_metodo_prueba,3)); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form2.png')); ?>" width='14'></td>
            <td><?php echo e(round($resultados[0]->promedio_metodo_prueba,3)); ?></td>
        </tr>

        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/y11.png')); ?>" width='10'></td>
            <td><?php echo e($resultados[0]->resultado_m1c1); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/y12.png')); ?>" width='10'></td>
            <td><?php echo e($resultados[0]->resultado_m1c2); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form3.png')); ?>" width='14'></td>
            <td><?php echo e(round($resultados[0]->indice_metodo_comparacion,3)); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form4.png')); ?>" width='14'></td>
            <td><?php echo e(round($resultados[0]->indice_metodo_prueba,3)); ?></td>
        </tr>

        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form5.png')); ?>" width='10'></td>
            <td><?php echo e(round($resultados[0]->valor_absoluto_metodo_comparativo,3)); ?></td>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/form6.png')); ?>" width='15'></td>
            <td><?php echo e(round($resultados[0]->promedio_metodo_comparativo,3)); ?></td>
        </tr>

    </table>

    <?php endif; ?>

    <table class="table-statistical">
        <thead>
            <tr>
                <th>Muestra #</th>
                <th><img src="<?php echo e(asset('img/formulas/xi1.png')); ?>" width='10'></th>
                <th><img src="<?php echo e(asset('img/formulas/xi2.png')); ?>" width='10'></th>
                <th><img src="<?php echo e(asset('img/formulas/yi1.png')); ?>" width='10'></th>
                <th><img src="<?php echo e(asset('img/formulas/yi2.png')); ?>" width='10'></th>
                <th><img src="<?php echo e(asset('img/formulas/dxi.png')); ?>" width='10'></th>
                <th><img src="<?php echo e(asset('img/formulas/dyi.png')); ?>" width='10'></th>
                <th><img src="<?php echo e(asset('img/formulas/dxti.png')); ?>" width='10'></th>
                <th><img src="<?php echo e(asset('img/formulas/dyti.png')); ?>" width='10'></th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $resultados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $resultado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <th><?php echo e($index+1); ?></th>
                <td><?php echo e($resultado->resultado_m2c1); ?></td>
                <td><?php echo e($resultado->resultado_m2c2); ?></td>
                <td><?php echo e($resultado->resultado_m1c1); ?></td>
                <td><?php echo e($resultado->resultado_m1c2); ?></td>
                <td><?php echo e(round($resultado->valor_absoluto_metodo_comparativo,3)); ?></td>
                <td><?php echo e(round($resultado->valor_absoluto_metodo_prueba,3)); ?></td>
                <td><?php echo e(round($resultado->indice_metodo_comparacion,3)); ?></td>
                <td><?php echo e(round($resultado->indice_metodo_prueba,3)); ?></td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>

    <table class="table-statistical">
        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/_dx_.png')); ?>" width='10'></td>
            <td><?php echo e(round($promedios->avg_diferencias_met_comparacion,3)); ?></td>
            <td class='table-secondary'>Límite de control = 4 * <img src="<?php echo e(asset('img/formulas/_dx_.png')); ?>"
                    width='10'></td>
            <td><?php echo e(round($promedios->avg_diferencias_met_comparacion_x4,3)); ?></td>
            <td class='table-secondary'>Redondear</td>
            <td><?php echo e(ceil($promedios->avg_diferencias_met_comparacion_x4)); ?></td>
        </tr>

        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/_dy_.png')); ?>" width='10'></td>
            <td><?php echo e(round($promedios->avg_diferencias_met_prueba,3)); ?></td>
            <td class='table-secondary'>Límite de control = 4 * <img src="<?php echo e(asset('img/formulas/_dy_.png')); ?>"
                    width='19'></td>
            <td><?php echo e(round($promedios->avg_diferencias_met_prueba_x4,3)); ?></td>
            <td class='table-secondary'>Redondear</td>
            <td><?php echo e(ceil($promedios->avg_diferencias_met_prueba_x4)); ?></td>
        </tr>

        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/_dxt_.png')); ?>" width='19'></td>
            <td><?php echo e(round($promedios->avg_indice_met_comparacion,3)); ?></td>
            <td class='table-secondary'>Límite de control = 4 * <img src="<?php echo e(asset('img/formulas/_dxt_.png')); ?>"
                    width='18'></td>
            <td><?php echo e(round($promedios->avg_indice_met_comparacion_x4,3)); ?></td>
        </tr>

        <tr>
            <td class='table-secondary'><img src="<?php echo e(asset('img/formulas/_dyt_.png')); ?>" width='17'></td>
            <td><?php echo e(round($promedios->avg_indice_met_prueba,3)); ?></td>
            <td class='table-secondary'>Límite de control = 4 * <img src="<?php echo e(asset('img/formulas/_dyt_.png')); ?>"
                    width='17'></td>
            <td><?php echo e(round($promedios->avg_indice_met_prueba_x4,3)); ?></td>
        </tr>

    </table>



</main>

<script type="text/php">
    if ( isset($pdf) ) {
        $pdf->page_script('
            $font = $fontMetrics->get_font("Arial, Helvetica, sans-serif", "normal");
            $pdf->text(543, 82, "$PAGE_NUM / $PAGE_COUNT", $font, 7, [0.2, 0.35, 0.5]);
        ');
    }
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\v2m\resources\views/reporte/reporteFinal.blade.php ENDPATH**/ ?>