<style>
    .content-levels {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 1rem;
    }
</style>
<div class="modal" tabindex="-1">

    <div class="modal-dialog" style='width: 1000px'>
    
        <div class="modal-content">

            <div class="modal-header">
                <h5 class="modal-title text-primary">Informe EP15 de analitos</h5>
                </h5>
                <button class="btnEvent close" data-event='click' data-route='CancelModal'>
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                
            <div class="text-center">
                    <?php if(Auth::user()->rol_id_rol != 5): ?>
                    <img width="50%" src="<?php echo e($cliente->imagen_cliente); ?>">
                    <?php endif; ?>
                </div>
                <div class="text-right">
                    <form class='formEvent' data-event='submit' data-route='ExportReportEP15' data-reference='<?php echo e($id_reference); ?>'>
                        <a target="_blank" href='/GenerateInformeResumenEP15?id_reference=<?php echo e($id_reference); ?>' class="btn btn-danger btn-sm btn-icon-split mb-3">
                            <span class="icon text-dark-100">
                                <i class="fas fa-file-pdf"></i>
                            </span>
                            <span class="text">Exportar</span>
                        </a>
                    </form>
                </div>
                
                <?php
                foreach($analitos as $analito){
                    $analitoEP15 = $analito['analito'];
                    $obj_json = $analito['obj_json'];
                    $niveles = $analito['niveles'];
                ?>
                                    
                 <?php if(count($obj_json) > 0): ?>
                    
                <div class="cont-informe-ep15">
                    <div class=" p-3 border bg-light" id="myTabContent">
                        <div class="text-center">
                            <h2 class='titulo-nivel font-weight-bold'><?php echo e($analitoEP15->nom_analito); ?></h2>
                            <br>
                            <h1 class='encabezado_titulos'>Información general</h1>
                            <div class="contenido_ep15">
                                <table class='table table-sm table-borderless m-0'>
                                    <tr class='font-weight-bold'>
                                        <td style='width:20%;'>Sistema de medición</td>
                                        <td style='width:20%;'>Lote de reactivos</td>
                                        <td style='width:20%;'>Lote de calibrador</td>
                                        <td style='width:20%;'>Límite APS%</td>
                                        <td style='width:20%;'>Material utilizado</td>
                                    </tr>
                                    <tr>
                                        <td><?php echo e($analitoEP15->nom_analizador); ?></td>
                                        <td><?php echo e($analitoEP15->lote_reactivo); ?></td>
                                        <td><?php echo e($analitoEP15->lote_calibrador); ?></td>
                                        <td><?php echo e(number_format(round($analitoEP15->etmp,3), 3)); ?></td>
                                        <td><?php echo e($analitoEP15->material_utilizado); ?></td>
                                    </tr>
                                </table>
                            </div>

                        </div>
                        <div class="content-levels">
                            <?php for($nivel=1; $nivel<=$analitoEP15->num_niveles; $nivel++): ?>
                                <?php
                                $nivel_bd_gl;
                                foreach($niveles as $nivel_bd){
                                if($nivel_bd->nivel == $nivel){
                                $nivel_bd_gl = $nivel_bd;
                                }
                                }
                                ?>
                                <div class="text-center">
                                    <h1 class='encabezado_titulos'>Información del nivel <?php echo e($nivel); ?></h1>
                                    <div class="contenido_ep15">
                                        <table class='table table-sm table-borderless m-0'>
                                            <tr class='font-weight-bold'>
                                                <td width="33%">Número de datos N</td>
                                                <td width="33%">Sigma <sub>R</sub></td>
                                                <td width="33%">Sigma <sub>WL</sub></td>
                                            </tr>
                                            <tr>
                                                <td><?php echo e($obj_json[$nivel]["corridas"]["general"]["n_datos"]); ?></td>
                                                <td><?php echo e(round($obj_json[$nivel]["sigma_r"],3)); ?></td>
                                                <td><?php echo e(round($obj_json[$nivel]["sigma_wl"],3)); ?></td>
                                            </tr>
                                        </table>
                                    </div>
                                    <h1 class='encabezado_titulos'>Límite de Grubbs</h1>
                                    <div class="contenido_ep15">
                                        <table class='table table-sm table-borderless m-0'>
                                            <tr>
                                                <td>
                                                    <div style="display: flex; flex-direction: row; justify-content: space-evenly;">
                                                        <span>
                                                            <strong>Límite superior: </strong><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["limite_superior_grubbs"],3)); ?>

                                                        </span>
                                                        <span>
                                                            <strong>Límite inferior: </strong><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["limite_inferior_grubbs"],3)); ?>

                                                        </span>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                    <h1 class='encabezado_titulos'>Recolección de información</h1>
                                    <div class="contenido_ep15">
                                        <table class='table table-sm table-borderless m-0'>
                                            <tr class='font-weight-bold'>
                                                <td width="33%">Gran media:</td>
                                                <td width="33%">D.E.:</td>
                                                <td width="33%">C.V:</td>
                                            </tr>
                                            <tr>
                                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3)); ?></td>
                                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["gran_de"],3)); ?></td>
                                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["gran_de"] * 100/$obj_json[$nivel]["corridas"]["general"]["gran_media"],3)); ?>%</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <h1 class='encabezado_titulos'>Verificación de la precisión</h1>
                                    <div class="contenido_ep15">
                                        <table class='table table-sm table-borderless m-0'>
                                            <tr class='font-weight-bold'>
                                                <td>df<sub>R</sub> Repetibilidad:</td>
                                                <td>Factor UVL<sub>R</sub>:</td>
                                            </tr>
                                            <tr>
                                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["df_r"],2)); ?></td>
                                                <td><?php echo e(number_format(round($obj_json[$nivel]["corridas"]["general"]["factor_uvl_r"],4), 4)); ?></td>
                                            </tr>
                                            <tr class='font-weight-bold'>
                                                <td>UVL Repetibilidad:</td>
                                                <td>df<sub>WL</sub> Imprecisión intra-laboratorio:</td>
                                            </tr>
                                            <tr>
                                                <td><?php echo e(number_format(round($obj_json[$nivel]["corridas"]["general"]["uvl_repetibilidad"],4), 4)); ?></td>
                                                <td><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["df_wl"],3)); ?>

                                                    (p = <?php echo e(round($obj_json[$nivel]["corridas"]["general"]["p"],3)); ?>)</td>
                                            </tr>
                                            <tr class='font-weight-bold'>
                                                <td>Factor UVL<sub>WL</sub>:</td>
                                                <td>UVL intra-laboratorio:</td>
                                            </tr>
                                            <tr>
                                                <td><?php echo e(number_format(round($obj_json[$nivel]["corridas"]["general"]["factor_uvl_wl"],4), 4)); ?></td>
                                                <td><?php echo e(number_format(round($obj_json[$nivel]["corridas"]["general"]["uvl_intra_laboratorio"],4), 4)); ?></td>
                                            </tr>
                                        </table>
                                    </div>
                                    <h1 class='encabezado_titulos'>Estimación del sesgo Inserto</h1>
                                    <div class="contenido_ep15">
                                        <div class="text-center">
                                            <img src="img/formulas_ep15/vi.png" width="230" height="25" class="my-2">
                                            <span class="badge badge-light px-2 py-1 border border-secondary mx-2"><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["li_iv_inserto"],3)); ?> - <?php echo e(round($obj_json[$nivel]["corridas"]["general"]["ls_iv_inserto"],3)); ?></span>
                                        </div>

                                        <table class="table table-sm p-0 m-0 table-borderless mt-3 w-100">
                                            <tr class='font-weight-bold'>
                                                <td>Sesgo de la prueba %</td>
                                                <td>Sesgo de la prueba UNID.</td>
                                            </tr>
                                            <tr>
                                                <?php if($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_inserto"] <= $obj_json[$nivel]["smp_porcentaje"]): ?> <td style="background-color: #F2F8EE;" class='font-weight-bold'>
                                                    <?php else: ?>
                                                    <td style="background-color: #FDF3ED;" class='font-weight-bold'>
                                                        <?php endif; ?>
                                                        <?php echo e(round($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_inserto"],3)); ?>

                                                        %
                                                    </td>
                                                    <?php if($obj_json[$nivel]["corridas"]["general"]["sesgo_unidad_inserto"] <= $obj_json[$nivel]["smp_unidad"]): ?> <td style="background-color: #F2F8EE;" class='font-weight-bold'>
                                                        <?php else: ?>
                                                        <td style="background-color: #FDF3ED;" class='font-weight-bold'>
                                                            <?php endif; ?>
                                                            <?php echo e(round($obj_json[$nivel]["corridas"]["general"]["sesgo_unidad_inserto"],3)); ?>

                                                        </td>
                                            </tr>
                                        </table>
                                        <div style="display: flex; justify-content: center; margin-top: 0.6rem">
                                            <?php if( round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) >= round($obj_json[$nivel]["corridas"]["general"]["li_iv_inserto"],3) && round($obj_json[$nivel]["corridas"]["general"]["ls_iv_inserto"],3) >= round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) ): ?>
                                            <div class="text-center" style="padding: 0.6rem; background: #f0fff0;">
                                                La estimación del sesgo del analito <?php echo e($analitoEP15->nom_analito); ?> esta acorde con la declaración del manufacturador
                                            </div>
                                            <?php else: ?>
                                            <div class="text-center" style="padding: 0.6rem; background: #fff5ee;">
                                                La estimación del sesgo del analito <?php echo e($analitoEP15->nom_analito); ?> NO esta acorde con la declaración del manufacturador
                                            </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                    <h1 class='encabezado_titulos'>Estimación del sesgo Grupo Par</h1>
                                    <div class="contenido_ep15">
                                        <div class="text-center">
                                            <img src="img/formulas_ep15/vi.png" width="230" height="25" class="my-2">
                                            <span class="badge badge-light px-2 py-1 border border-secondary mx-2"><?php echo e(round($obj_json[$nivel]["corridas"]["general"]["li_iv_gpar"],3)); ?> - <?php echo e(round($obj_json[$nivel]["corridas"]["general"]["ls_iv_gpar"],3)); ?></span>
                                        </div>

                                        <table class="table table-sm p-0 m-0 table-borderless mt-3 w-100">
                                            <tr class='font-weight-bold'>
                                                <td>Sesgo de la prueba %</td>
                                                <td>Sesgo de la prueba UNID.</td>
                                            </tr>
                                            <tr>
                                                <?php if($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_gpar"] <= $obj_json[$nivel]["smp_porcentaje"]): ?> <td style="background-color: #F2F8EE;" class='font-weight-bold'>
                                                    <?php else: ?>
                                                    <td style="background-color: #FDF3ED;" class='font-weight-bold'>
                                                        <?php endif; ?>
                                                        <?php echo e(round($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_gpar"],3)); ?>

                                                        %
                                                    </td>
                                                    <?php if($obj_json[$nivel]["corridas"]["general"]["sesgo_unidad_gpar"] <= $obj_json[$nivel]["smp_unidad"]): ?> <td style="background-color: #F2F8EE;" class='font-weight-bold'>
                                                        <?php else: ?>
                                                        <td style="background-color: #FDF3ED;" class='font-weight-bold'>
                                                            <?php endif; ?>
                                                            <?php echo e(round($obj_json[$nivel]["corridas"]["general"]["sesgo_unidad_gpar"],3)); ?>

                                                        </td>
                                            </tr>
                                        </table>
                                        <div style="display: flex; justify-content: center; margin-top: 0.6rem">
                                            <?php if( round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) >= round($obj_json[$nivel]["corridas"]["general"]["li_iv_gpar"],3) && round($obj_json[$nivel]["corridas"]["general"]["ls_iv_gpar"],3) >= round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) ): ?>
                                            <div class="text-center" style="padding: 0.6rem; background: #f0fff0;">
                                                La estimación del sesgo del analito <?php echo e($analitoEP15->nom_analito); ?> esta acorde con el grupo par
                                            </div>
                                            <?php else: ?>
                                            <div class="text-center" style="padding: 0.6rem; background: #fff5ee;">
                                                La estimación del sesgo del analito <?php echo e($analitoEP15->nom_analito); ?> NO esta acorde con el grupo par
                                            </div>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                                <?php endfor; ?>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
                <?php
                }
                ?>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar informe</button>
            </div>
        </div>
    </div>
</div><?php /**PATH /home/quikappspane/public_html/v2m_pruebas/resources/views/resultadoEP15/resultadoEP15InformeResumen.blade.php ENDPATH**/ ?>