@extends('layouts.app')

@section('extend_head')

    <!-- Favicon -->
    <link rel="shortcut icon" type="image/png" href="img/favicon.png">
    <link href="{{ asset('css/home.css?v2') }}" rel="stylesheet">

    <title>Inicio - V2M</title>

@endsection

@section('content')
    @if($active==1)
    <div id="wrapper">

        <ul class="navbar-nav navbar-nav-principal bg-azul-corporativo sidebar sidebar-dark accordion"
            id="accordionSidebar">
            <!--<div class="row bg-white border-secondary">
            <div class="col-xl-6">-->
            <a class="sidebar-brand bg-white d-flex align-items-center justify-content-center sidebar-per"
               href="{{ route('home') }}" title="Ir al inicio">
                <div class="sidebar-brand-icon">
                    <div class="d-inline p-2">
                        <img src="{{ asset('img/v2m.jpg') }}" class="icon-panel" alt="Ir al módulo de inicio">
                    </div>
                    <!--<div class="d-inline-flex p-2 bd-highlight">-->
                    <!--    <img src="{{ asset('img/logo-quik.png') }}" class="icon-panel" alt="Ir al módulo de inicio">-->
                    <!--</div>-->
                </div>
            </a>
            <!--</div>
            <div class="col-xl-6">
                <a class="sidebar-brand bg-white d-flex align-items-center justify-content-center sidebar-per" href="{{ route('home') }}" title="Ir al inicio">
                    <div class="sidebar-brand-icon">
                        <div class="d-inline p-2">
                            <img src="{{ asset('img/logo-quik.png') }}" class="icon-panel" alt="Ir al módulo de inicio">
                        </div>
                    </div>
                </a>
            </div>
            </div>-->

            <hr class="sidebar-divider my-0">

            <li class="nav-item active">
                <a class="nav-link" href="{{ route('home') }}" title="Ir a la página de inicio">
                    <i class="fas fa-home"></i>
                    <span>Inicio</span>
                </a>
            </li>

            <hr class="sidebar-divider">
            <div class="sidebar-heading">Gestión</div>

            <li class="nav-item">
                <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_CorridaArea">
                    <i class="fas fa-columns"></i>
                    <!--<span>Proyectos EP09</span>-->
                    <span>Comparación de métodos y estimación del sesgo basado en la guía CLSI EP09c</span>
                </a>
            </li>

            <li class="nav-item">
                <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_ProyectoEP15">
                    <i class="fas fa-atom"></i>
                    <!--<span>Proyectos EP15</span>-->
                    <span>Verificación de la precisión y estimación del sesgo basado en la guía CLSI EP15-A3</span>
                </a>
            </li>
            
              <li class="nav-item">
                <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_ProyectoEP17">
                    <i class="fas fa-atom"></i>
                    <!--<span>Proyectos EP17</span>-->
                    <span>LoB, LoD, LoQ.  Basado en la guía CLSI EP17</span>
                </a>
            </li>

            @if($rol_usuario == 1 || $rol_usuario == 2 || $rol_usuario == 5)

                <hr class="sidebar-divider">

                <div class="sidebar-heading">Configuración</div>
                @if($rol_usuario == 5)
                    <!-- Permisos -->
                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_SuperUsuario">
                            <i class="fas fa-users"></i>
                            <span>Clientes</span>
                        </a>
                    </li>
                @endif
                @if($rol_usuario == 1 || $rol_usuario == 5)
                    <!-- Usuarios -->
                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_Usuario">
                            <i class="fas fa-users"></i>
                            <span>Usuario</span>
                        </a>
                    </li>
                @endif

                <!-- Laboratorio -->
                @if($rol_usuario == 5 || $rol_usuario == 1)
                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_Laboratorio">
                            <i class="fas fa-building"></i>
                            <span>Laboratorio</span>
                        </a>
                    </li>
                @endif


                <!-- Área -->
{{--
                @if($rol_usuario == 5)
--}}

                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_Area">
                            <i class="fas fa-notes-medical"></i>
                            <span>Area</span>
                        </a>
                    </li>

                    <!-- Analito -->
                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_Analito">
                            <i class="fas fa-vial"></i>
                            <span>Analito</span>
                        </a>
                    </li>

                    <!-- Metodología -->
                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_Metodologia">
                            <i class="far fa-eye"></i>
                            <span>Metodología</span>
                        </a>
                    </li>

                    <!-- Modo -->
                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_Modo">
                            <i class="fas fa-compress-arrows-alt"></i>
                            <span>Modo metodología</span>
                        </a>
                    </li>

                    <!-- Unidad -->
                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_Unidad">
                            <i class="fas fa-balance-scale-left"></i>
                            <span>Unidad</span>
                        </a>
                    </li>


                    <!-- Analizador -->
                    <li class="nav-item">
                        <a class="nav-link btnEvent" data-event="click" data-route="SeeSection_Analizador">
                            <i class="fas fa-inbox"></i>
                            <span>Analizador</span>
                        </a>
                    </li>
{{--
                @endif
--}}

            @endif

            <!-- Divider -->
            <hr class="sidebar-divider d-none d-md-block">

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar static-top shadow navbar-per">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                        <li class="nav-item dropdown no-arrow d-sm-none">
                            <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-search fa-fw"></i>
                            </a>
                            <!-- Dropdown - Messages -->
                            <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                 aria-labelledby="searchDropdown">
                                <form class="form-inline mr-auto w-100 navbar-search">
                                    <div class="input-group">
                                        <input type="text" class="form-control bg-light border-0 small"
                                               placeholder="Search for..." aria-label="Search"
                                               aria-describedby="basic-addon2">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="button">
                                                <i class="fas fa-search fa-sm"></i>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </li>

                        <div class="d-flex justify-content-center align-items-center">
                            <button class="btn btn-light bg-white text-primary"
                                    aria-label="Try me! Example: Custom HTML description and buttons"
                                    onclick="modalStadisticsTables()">
                                Tablas Estadísticas
                            </button>
                        </div>

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span
                                    class="mr-2 d-none d-lg-inline text-gray-600 small">{!! $nombres  . " " . $apellidos !!}</span>
                                <img class="img-profile rounded-circle" src="img/man.png">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                 aria-labelledby="userDropdown">
                                <a class="dropdown-item disabled" href="#">
                                    <i class="fas fa-user-friends fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Privilegios: {{ $nom_rol_usuario }}
                                </a>
                                @if($rol_usuario == 1)
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item btnEvent" href="#" data-event="click"
                                       data-route="SeeSection_Historico">
                                        <i class="fas fa-list fa-sm fa-fw mr-2 text-gray-400"></i>
                                        Histórico de actividades
                                    </a>
                                @endif
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="{{ route('logout') }}">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Cerrar sesión
                                </a>
                            </div>
                        </li>

                    </ul>

                </nav>

                <!-- Begin Page Content -->
                <div class="main main-per" id="containerMax">
                    @include("bienvenido")
                </div>

            </div>

            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright &copy; Quik S.A.S. - Quality is the key 2020 - {{ date("Y") }}</span>
                    </div>
                </div>
            </footer>

        </div>

    </div>

    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Sección de los modales dinámicos -->
    <div id="sectionModalsD"></div>
    @else
    <div id="wrapper">

        <ul class="navbar-nav navbar-nav-principal bg-azul-corporativo sidebar sidebar-dark accordion"
            id="accordionSidebar">
            <a class="sidebar-brand bg-white d-flex align-items-center justify-content-center sidebar-per"
               href="{{ route('home') }}" title="Ir al inicio">
                <div class="sidebar-brand-icon">
                    <div class="d-inline p-2">
                        <img src="{{ asset('img/v2m.jpg') }}" class="icon-panel" alt="Ir al módulo de inicio">
                    </div>
                </div>
            </a>

            <hr class="sidebar-divider my-0">

            <li class="nav-item active">
                <a class="nav-link" href="{{ route('home') }}" title="Ir a la página de inicio">
                    <i class="fas fa-home"></i>
                    <span>Inicio</span>
                </a>
            </li>

            

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar static-top shadow navbar-per">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <!-- Nav Item - Search Dropdown (Visible Only XS) -->
                        <li class="nav-item dropdown no-arrow d-sm-none">
                            <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-search fa-fw"></i>
                            </a>
                            <!-- Dropdown - Messages -->
                            <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in"
                                 aria-labelledby="searchDropdown">
                                <form class="form-inline mr-auto w-100 navbar-search">
                                    <div class="input-group">
                                        <input type="text" class="form-control bg-light border-0 small"
                                               placeholder="Search for..." aria-label="Search"
                                               aria-describedby="basic-addon2">
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="button">
                                                <i class="fas fa-search fa-sm"></i>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </li>

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span
                                    class="mr-2 d-none d-lg-inline text-gray-600 small">{!! $nombres  . " " . $apellidos !!}</span>
                                <img class="img-profile rounded-circle" src="img/man.png">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                 aria-labelledby="userDropdown">
                                
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="{{ route('logout') }}">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                                    Cerrar sesión
                                </a>
                            </div>
                        </li>

                    </ul>

                </nav>

                <!-- Begin Page Content -->
                <div class="main main-per" id="containerMax">
                <div class="row m-0 p-0 row-presentacion">
        <style>
            .row-presentacion {
                display: flex;
                flex-direction: column;
                align-items: center;
                align-content: center;
                justify-content: center;
                min-height: 100%;
                height: calc(100vh - 130px);
            }

            .row-presentacion img {
                width: 50%;
                max-width: 300px;
                border-radius: 15px;
                overflow: hidden;
                box-shadow: 0 0 2px rgba(0, 0, 0, 0.3);
            }

            .row-presentacion h3 {
                text-shadow: 0 0 2px #FFF;
                font-size: 1.8rem;
            }

            .row-presentacion h5 {
                text-shadow: 0 0 2px #FFF;
                font-weight: bolder;
                color: #222;
                font-size: 1.5rem;
            }
        </style>
        
        <h3 class="font-weight-bold text-primary">Este usuario no tiene permisos</h3>
        <h5 class="text-center mb-4">Comuníquese con su administrador</h5>
                </div>

            </div>

            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright &copy; Quik S.A.S. - Quality is the key 2020 - {{ date("Y") }}</span>
                    </div>
                </div>
            </footer>

        </div>

    </div>

    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Sección de los modales dinámicos -->
    <div id="sectionModalsD"></div>
    @endif

    <!-- Scripts a utilizar -->
    <script src="{{ asset('js/jquery/jquery.min.js?v2') }}"></script>
    <script src="{{ asset('jquery-ui/jquery-ui.js?v2') }}"></script>
    <script src="{{ asset('js/sb-admin-2/sb-admin-2.min.js?v2') }}"></script>
    <script src="{{ asset('js/jquery/jquery.dataTables.min.js?v2') }}"></script>
    <script src="{{ asset('js/jquery/toastr.min.js?v2') }}"></script>
    <script src="{{ asset('js/jquery/sweetalert2.js?v2') }}"></script>
    <script src="{{ asset('js/jquery/select2.js?v2') }}"></script>
    <script src="{{ asset('js/jquery/moment.min.js?v2') }}"></script>
    <script src="{{ asset('js/jquery/daterangepicker.js?v2') }}"></script>
    <script src="{{ asset('js/GoogleChart.min.js?v2') }}"></script>
    <script src="{{ asset('js/popper.min.js?v2') }}"></script>
    <script src="{{ asset('js/bootstrap.min.js?v2') }}"></script>
    <script src="{{ asset('js/xlsx.full.min.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/grubbs.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/middlewareEvent.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/notificacion.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/uniqid.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/impresionError.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/show.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/indexLoad.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/nomLegibleSection.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/tablaDinamica.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/gestionEnvioForm.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/presenteContinuo.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/eventosResponsiveDesign.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/indexLoadAsignation.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/descCampGet.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/inputDates.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/obtenerFechasFiltro.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/deleteRowTable.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/addFilaTable.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/validarResultadoComparacion.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/enfocarGestion.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/eliminarModal.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/buscarPrimerCoincidencia.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/buscarEnObjetoArray.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/filterCapGraph.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/cliquearTd.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/editarTd.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/resaltarAprobacion.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/gcd.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/exportacionReporte.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/exportacionReporteEP15.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/validarResultadoComparacionEP15.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/validarInfoNivelConfigEP15.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/calculosEstadisticos.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/reemplazarDecimales.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/reemplazarDecimalesEP15.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/reemplazarDecimalesNivelEP15.js?v2') }}"></script>
    <script src="{{ asset('js/complementos/loadExcelResults.js?v2') }}"></script>

    <!-- Graficos -->
    <script src="{{ asset('js/graficos/activeGoogleChart.js?v2') }}"></script>
    <script src="{{ asset('js/graficos/generarGraficosEP15.js?v2') }}"></script>
    <script src="{{ asset('js/graficos/generarGraficoB1.js?v2') }}"></script>
    <script src="{{ asset('js/graficos/generarGraficoB2.js?v2') }}"></script>
    <script src="{{ asset('js/graficos/generarGraficoB3.js?v2') }}"></script>
    <script src="{{ asset('js/graficos/generarGraficoB4.js?v2') }}"></script>

    <!-- Inicio -->
    <script src="{{ asset('js/home.js?v2') }}"></script>

@endsection
