<div class="modal" tabindex="-1">
    <div class="modal-dialog" style="margin-bottom: 250px">
        <div class="modal-content">
            <div class="modal-header">
                <div class="d-inline p-2">
                    <img style="width: 50px;" src="{{ asset('img/v2m.jpg') }}" class="icon-panel" alt="Ir al módulo de inicio">
                </div>
                <h5 class="modal-title text-primary">Resultados para <strong>{{ $analitoCorrida->nom_analito }}</strong></h5>
                <button class="btnEvent close" data-event='click' data-route='CancelModal' data-preguntaantes="true">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-header">
                <a style='background-color: #28a745; color: white;' class='btn btn-sm btnEvent ml-2'
                    href="DownloadPlantillaResultados" target="_blank">
                    <i class="fas fa-file-excel"></i> Descargar plantilla</a>
            </div>
            <form class="form formEvent formCreate" data-route="StoreResults" data-event="submit"
                data-close_modal='true'>
                <div class="modal-body overflow-auto">

                    <table
                        class="table table-striped table-sm text-center dinamicTable SeeIndexCorridaAnalito"
                        id='tbl_gestion_resultados'
                        data-reference_corrida='{{ $analitoCorrida->id_corrida_analito }}'
                    >
                        <thead>
                            <tr>
                                <th scope="col" rowspan='3'>#</th>
                                <th scope="col" rowspan='3'>Usuario</th>
                                <th scope="col" rowspan='3'>Fecha</th>
                                <th scope="col" rowspan='3'>Código paciente</th>
                                <th scope="col" colspan='2' class='border-left-secondary'>Método prueba</th>
                                <th scope="col" colspan='2' class='border-left-secondary'>Método comparativo</th>
                                <th scope="col" rowspan='3' class='border-left-secondary'>Acciones</th>
                            </tr>
                            <tr>
                                <th colspan='2' scope="col" class='border-left-secondary'><span class='text-primary'>{{ $analitoCorrida->nom_analizador_prueba }}</span> {{ $analitoCorrida->nom_metodologia_prueba }} ({{ $analitoCorrida->nom_modo_metodologia_prueba }} <span class='text-primary'>{{ $analitoCorrida->nom_unidad_metodologia_prueba }}</span>)</th>
                                <th colspan='2' scope="col" class='border-left-secondary'><span class='text-primary'>{{ $analitoCorrida->nom_analizador_comparacion }}</span> {{ $analitoCorrida->nom_metodologia_comparacion }}  ({{ $analitoCorrida->nom_modo_metodologia_comparacion }} <span class='text-primary'>{{ $analitoCorrida->nom_unidad_metodologia_comparacion }}</span>)</th>
                            </tr>
                            <tr>
                                <th scope="col" class='border-left-secondary'>Resultado</th>
                                <th scope="col">Repetición</th>
                                <th scope="col" class='border-left-secondary'>Resultado</th>
                                <th scope="col">Repetición</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($resultados as $index => $resultado)
                            
                            <tr data-reference="{{ $resultado->id_encrypt_resultado_corrida }}">
                                <td scope='col'>{{ $index+1 }}</td>
                                <td scope='col'>{{ $resultado->nom_usuario }}</td>
                                <td scope='col'>
                                    <input type='text' class='form-control form-control-sm fecha fecha_digitacion input_result btnEvent' data-event='change' data-route='ChangeResult' value='{{ $resultado->fecha }}'>
                                </td>
                                <td scope='col' class='border-left-secondary'>
                                    <input type="text" placeholder='--' value='{{ $resultado->codigo_paciente }}' class='codigo_paciente form-control form-control-sm btnEvent' data-event='change' data-route='ChangeResult'>
                                </td>
                                <td scope='col' class='border-left-secondary'>
                                    <input type="text" placeholder='--' value='{{ round($resultado->resultado_m1c1,3) }}' class='resultado_m1c1 form-control form-control-sm btnEvent' data-event='change' data-route='ChangeResult'>
                                </td>
                                <td scope='col'>
                                    <input type="text" placeholder='--' class='form-control form-control-sm resultado_m1c2 btnEvent' data-event='change' data-route='ChangeResult' value='{{ round($resultado->resultado_m1c2,3) }}'>
                                </td>
                                <td scope='col' class='border-left-secondary'>
                                    <input type="text" placeholder='--' value='{{ round($resultado->resultado_m2c1,3) }}' class='form-control form-control-sm resultado_m2c1 btnEvent' data-event='change' data-route='ChangeResult'>
                                </td>
                                <td scope='col'>
                                    <input type="text" placeholder='--' class='form-control form-control-sm resultado_m2c2 btnEvent' data-event='change' data-route='ChangeResult' value='{{ round($resultado->resultado_m2c2,3) }}'>
                                </td>
                                <td scope='col' class='border-left-secondary'>
                                    <button class="btn btn-danger btn-sm btnEvent" title="Eliminar el resultado de comparación" data-route="Destroy_ResultadoCorrida" data-event="click" data-reference="{{ $resultado->id_encrypt_resultado_corrida }}" data-nom="el resultado de comparación" data-tables_liged="selfCamp"><i class="far fa-trash-alt"></i></button>
                                </td>
                            </tr>
                            @endforeach

                        </tbody>
                    </table>

                    <button class='btn btn-primary btn-sm btnEvent' data-event="click" data-route="AddFila_ResultadoCorrida"><i class="fas fa-plus"></i> Agregar resultado</button>
                    <button style='background-color: #28a745; color: white;' class='btn btn-sm btnEvent ml-2'
                    data-event="click" data-route="LoadExcel_ResultadoCorrida">
                    <i class="fas fa-file-excel"></i> Cargar resultados</button>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btnEvent" data-event='click' data-route='CancelModal'
                        data-preguntaantes="true">Cancelar</button>
                    <button type="submit" class="btn btn-primary">Guardar</button>
                </div>
            </form>
        </div>
    </div>
</div>