<head>
    <title>{{ $analitoEP15->nom_analito }}</title>
</head>
<table>
    <link href="{{ asset('fontawesome-free/css/all.min.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/sb-admin-personalizado.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/jquery.dataTables.min.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/toastr.min.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/select2.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/home.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/daterangepicker.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('jquery-ui/jquery-ui.css?v2') }}" rel="stylesheet">
    <style>
        svg g text{
            font-size: small !important;
        }
        @page {
            size: A4;
            margin: 1.5cm;
        }

        @media print {

            html,
            body {
                width: 210mm;
                height: 297mm;
            }

            body {
                -webkit-print-color-adjust: exact;
                -moz-print-color-adjust: exact;
                -ms-print-color-adjust: exact;
                print-color-adjust: exact;
            }
            td{
                text-align: center;
            }
            .items-col {
                width: 100%;
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
            }

            .items-col>div {
                width: 100%;
                display: flex;
                flex-direction: column;
            }
            .content-levels {
                width: 100%;
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
                gap: 1rem;
            }
            .contenido_ep15{
                padding: 0.5rem;
            }
            .pres{
                width: 100%;
                border-collapse: collapse;
            }
            .pres td{
                width: 25%;
                padding: 0.5rem;
            }
            .bg-green{
                background-color: #f0fff0;
            }
            .bg-red{
                background-color: #FDF3ED;
            }
        }
    </style>
                <thead>

<tr>
    <th>
        <div style="width: 100%; display: flex; flex-direction: column; align-items: center;">
            <div class="text-center"
                 style="display: flex; flex-direction: row; justify-content: space-between; align-items: center; width: 100%">
                @if(Auth::user()->rol_id_rol != 5)
                    <img width="18%" src="{{$cliente->imagen_cliente}}" alt="imagen_cliente">
                @else
                    <img width="18%" src="{{asset('/img/v2m.jpg')}}" alt="imagen_cliente">
                @endif
                <div style="display: flex; justify-content: center; flex-direction: column; align-items: center;
                padding-top: 1rem; padding-bottom: 2rem; font-size: 1.4em;">
                    <span style="color: #184a9c">V2M. V.1.0. Verificación de la precisión y estimación del sesgo</span>
                </div>
                <img width="15%" src="{{asset('/img/logo-quik.png')}}" alt="imagen_cliente">

            </div>

        </div>
    </th>
</tr>
</thead>
    <tbody>
    <tr>
        <td>
            <table style="display: flex; flex-direction: column">
                <tbody>
                <tr>
                    <td>
                        <div class="text-right">
                            <form class='formEvent' data-event='submit' data-route='ExportReportEP15'
                                  data-reference='{{ $analitoEP15->id_encrypt_analito_ep15 }}'>
                            </form>
                        </div>
                        <input type="hidden" id='id_analito_ep15' value="{{ $analitoEP15->id_encrypt_analito_ep15 }}">

                        <table class="cont-informe-ep15">
                            <tbody class=" p-3 border bg-light" id="myTabContent">
                            <div class="text-center">
                            <h2 class='titulo-nivel font-weight-bold'>{{ $analitoEP15->nom_analito }}</h2>
                            <br>
                            <h1 class='encabezado_titulos'>1. Información general</h1>
                                <table class='contenido_ep15 table table-sm table-borderless m-0'>
                                    <tr class='font-weight-bold'>
                                        <td style='width:20%;'>Sistema de medición</td>
                                        <td style='width:20%;'>Lote de reactivos</td>
                                        <td style='width:20%;'>Lote de calibrador</td>
                                        <td style='width:20%;'>Límite APS%</td>
                                        <td style='width:20%;'>Material utilizado</td>
                                    </tr>
                                    <tr>
                                        <td>{{ $analitoEP15->nom_analizador }}</td>
                                        <td>{{ $analitoEP15->lote_reactivo }}</td>
                                        <td>{{ $analitoEP15->lote_calibrador }}</td>
                                        <td>{{ number_format(round($analitoEP15->etmp,3), 3) }}</td>
                                        <td>{{ $analitoEP15->material_utilizado }}</td>
                                    </tr>
                                </table>

                        </div>
                        <div class="content-levels">
                            @for($nivel=1; $nivel<=$analitoEP15->num_niveles; $nivel++)
                                @php
                                $nivel_bd_gl;
                                foreach($niveles as $nivel_bd){
                                if($nivel_bd->nivel == $nivel){
                                $nivel_bd_gl = $nivel_bd;
                                $letter = chr(96 + $nivel);
                                }
                                }
                                @endphp
                                <div class="text-center mt-3">
                                    <h1 class='encabezado_titulos'>2{{$letter}}. Información del nivel {{ $nivel }}</h1>
                                    <div class="contenido_ep15">
                                        <table class='table table-sm table-borderless m-0'>
                                            <tr class='font-weight-bold'>
                                                <td width="33%">Número de datos N</td>
                                                <td width="33%">Sigma <sub>R</sub></td>
                                                <td width="33%">Sigma <sub>WL</sub></td>
                                            </tr>
                                            <tr>
                                                <td>{{ $obj_json[$nivel]["corridas"]["general"]["n_datos"] }}</td>
                                                <td>{{ round($obj_json[$nivel]["sigma_r"],3) }}</td>
                                                <td>{{ round($obj_json[$nivel]["sigma_wl"],3) }}</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <h1 class='encabezado_titulos'>3{{$letter}}. Límite de Grubbs</h1>
                                    <div class="contenido_ep15">
                                        <table class='table table-sm table-borderless m-0'>
                                            <tr>
                                                <td>
                                                    <div style="display: flex; flex-direction: row">
                                                        <span>
                                                            <strong>Límite superior de grubbs: </strong>{{round($obj_json[$nivel]["corridas"]["general"]["limite_superior_grubbs"],3)}}
                                                        </span>
                                                        <span>
                                                            <strong>Límite inferior de grubbs: </strong>{{round($obj_json[$nivel]["corridas"]["general"]["limite_inferior_grubbs"],3)}}
                                                        </span>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                    <h1 class='encabezado_titulos'>4{{$letter}}. Recolección de información</h1>
                                    <div class="contenido_ep15">
                                        <table class='table table-sm table-borderless m-0'>
                                            <tr class='font-weight-bold'>
                                                <td width="33%">Gran media:</td>
                                                <td width="33%">D.E.:</td>
                                                <td width="33%">C.V:</td>
                                            </tr>
                                            <tr>
                                                <td>{{ round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) }}</td>
                                                <td>{{ round($obj_json[$nivel]["corridas"]["general"]["gran_de"],3) }}</td>
                                                <td>{{ round($obj_json[$nivel]["corridas"]["general"]["gran_de"] * 100/$obj_json[$nivel]["corridas"]["general"]["gran_media"],3) }}%</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <h1 class='encabezado_titulos'>5{{$letter}}. Verificación de la precisión</h1>
                                    <div class="contenido_ep15">
                                        @php
                                            $colorR = "green";
                                            $colorWL = "green";
                                            $colorUVLR = "green";
                                            $colorUVLWL = "green";
                                            $rsr1 = round($obj_json[$nivel]["corridas"]["general"]["sr"],3);
                                            $rsr2 = round($obj_json[$nivel]["sigma_r"],3);
                                            $lswl1 = round($obj_json[$nivel]["corridas"]["general"]["swl"],3);
                                            $lswl2 = round($obj_json[$nivel]["sigma_wl"],3);"vr";
                                            $uvlR = round($obj_json[$nivel]["corridas"]["general"]["uvl_repetibilidad"],4);
                                            $uvlWL = round($obj_json[$nivel]["corridas"]["general"]["uvl_intra_laboratorio"],4);
                                            if($rsr1 > $rsr2){
                                                $colorR = "red";
                                            }
                                            if($lswl1 > $lswl2){
                                                $colorWL = "red";
                                            }
                                            if($rsr1 > $uvlR){
                                                $colorUVLR = "red";
                                            }
                                            if($lswl1 > $uvlWL){
                                                $colorUVLWL = "red";
                                            }
                                        @endphp
                                        <table class='m-0 pres'>
                                            <tr>
                                                <td class='font-weight-bold'>S <sub>R</sub></td>
                                                <td class="bg-{{ $colorR }}">{{ $rsr1 }}</td>
                                                <td class='font-weight-bold'>Sigma <sub>R</sub></td>
                                                <td class="bg-{{ $colorR }}">{{ $rsr2 }}</td>
                                            </tr>
                                            <tr>
                                                <td class='font-weight-bold'>S <sub>WL</sub></td>
                                                <td class="bg-{{ $colorWL }}">{{ $lswl1 }}</td>
                                                <td class='font-weight-bold'>Sigma <sub>WL</sub></td>
                                                <td class="bg-{{ $colorWL }}">{{ $lswl2 }}</td>
                                            </tr>
                                        </table>
                                        <table class='mt-3 pres'>
                                            <tr>
                                                <td class='font-weight-bold'>S <sub>R</sub></td>
                                                <td class="bg-{{ $colorUVLR }}">{{ $rsr1 }}</td>
                                                <td class='font-weight-bold'>UVL <sub>R</sub></td>
                                                <td class="bg-{{ $colorUVLR }}">{{ $uvlR }}</td>
                                            </tr>
                                            <tr>
                                                <td class='font-weight-bold'>S <sub>WL</sub></td>
                                                <td class="bg-{{ $colorUVLWL }}">{{ $lswl1 }}</td>
                                                <td class='font-weight-bold'>UVL <sub>WL</sub></td>
                                                <td class="bg-{{ $colorUVLWL }}">{{ $uvlWL }}</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <h1 class='encabezado_titulos'>6{{$letter}}. Estimación del sesgo Inserto</h1>
                                    <div class="contenido_ep15">
                                        <div class="text-center">
                                            <img src="img/formulas_ep15/vi.png" width="230" height="25" class="my-2">
                                            <span class="badge badge-light px-2 py-1 border border-secondary mx-2">{{ round($obj_json[$nivel]["corridas"]["general"]["li_iv_inserto"],3) }} - {{ round($obj_json[$nivel]["corridas"]["general"]["ls_iv_inserto"],3) }}</span>
                                        </div>

                                        <table class="table table-sm p-0 m-0 table-borderless mt-3 w-100">
                                            <tr class='font-weight-bold'>
                                                <td>Sesgo de la prueba %</td>
                                                <td>Sesgo de la prueba UNID.</td>
                                            </tr>
                                            <tr>
                                                @if($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_inserto"] <= $obj_json[$nivel]["smp_porcentaje"]) <td style="background-color: #F2F8EE;" class='font-weight-bold'>
                                                    @else
                                                    <td style="background-color: #FDF3ED;" class='font-weight-bold'>
                                                        @endif
                                                        {{ round($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_inserto"],3) }}
                                                        %
                                                    </td>
                                                    @if($obj_json[$nivel]["corridas"]["general"]["sesgo_unidad_inserto"] <= $obj_json[$nivel]["smp_unidad"]) <td style="background-color: #F2F8EE;" class='font-weight-bold'>
                                                        @else
                                                        <td style="background-color: #FDF3ED;" class='font-weight-bold'>
                                                            @endif
                                                            {{ round($obj_json[$nivel]["corridas"]["general"]["sesgo_unidad_inserto"],3) }}
                                                        </td>
                                            </tr>
                                        </table>
                                        <div style="display: flex; justify-content: center; margin-top: 0.6rem">
                                            @if( round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) >= round($obj_json[$nivel]["corridas"]["general"]["li_iv_inserto"],3) && round($obj_json[$nivel]["corridas"]["general"]["ls_iv_inserto"],3) >= round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) )
                                            <div class="text-center" style="padding: 0.6rem; background: #f0fff0;">
                                                La estimación del sesgo del analito {{ $analitoEP15->nom_analito }} esta acorde con la declaración del manufacturador
                                            </div>
                                            @else
                                            <div class="text-center" style="padding: 0.6rem; background: #fff5ee;">
                                                La estimación del sesgo del analito {{ $analitoEP15->nom_analito }} NO esta acorde con la declaración del manufacturador
                                            </div>
                                            @endif
                                        </div>
                                    </div>
                                    <h1 class='encabezado_titulos'>7{{$letter}}. Estimación del sesgo Grupo Par</h1>
                                    <div class="contenido_ep15">
                                        <div class="text-center">
                                            <img src="img/formulas_ep15/vi.png" width="230" height="25" class="my-2">
                                            <span class="badge badge-light px-2 py-1 border border-secondary mx-2">{{ round($obj_json[$nivel]["corridas"]["general"]["li_iv_gpar"],3) }} - {{ round($obj_json[$nivel]["corridas"]["general"]["ls_iv_gpar"],3) }}</span>
                                        </div>

                                        <table class="table table-sm p-0 m-0 table-borderless mt-3 w-100">
                                            <tr class='font-weight-bold'>
                                                <td>Sesgo de la prueba %</td>
                                                <td>Sesgo de la prueba UNID.</td>
                                            </tr>
                                            <tr>
                                                @if($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_gpar"] <= $obj_json[$nivel]["smp_porcentaje"]) <td style="background-color: #F2F8EE;" class='font-weight-bold'>
                                                    @else
                                                    <td style="background-color: #FDF3ED;" class='font-weight-bold'>
                                                        @endif
                                                        {{ round($obj_json[$nivel]["corridas"]["general"]["sesgo_porcentaje_gpar"],3) }}
                                                        %
                                                    </td>
                                                    @if($obj_json[$nivel]["corridas"]["general"]["sesgo_unidad_gpar"] <= $obj_json[$nivel]["smp_unidad"]) <td style="background-color: #F2F8EE;" class='font-weight-bold'>
                                                        @else
                                                        <td style="background-color: #FDF3ED;" class='font-weight-bold'>
                                                            @endif
                                                            {{ round($obj_json[$nivel]["corridas"]["general"]["sesgo_unidad_gpar"],3) }}
                                                        </td>
                                            </tr>
                                        </table>
                                        <div style="display: flex; justify-content: center; margin-top: 0.6rem">
                                            @if( round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) >= round($obj_json[$nivel]["corridas"]["general"]["li_iv_gpar"],3) && round($obj_json[$nivel]["corridas"]["general"]["ls_iv_gpar"],3) >= round($obj_json[$nivel]["corridas"]["general"]["gran_media"],3) )
                                            <div class="text-center" style="padding: 0.6rem; background: #f0fff0;">
                                                La estimación del sesgo del analito {{ $analitoEP15->nom_analito }} esta acorde con el grupo par
                                            </div>
                                            @else
                                            <div class="text-center" style="padding: 0.6rem; background: #fff5ee;">
                                                La estimación del sesgo del analito {{ $analitoEP15->nom_analito }} NO esta acorde con el grupo par
                                            </div>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                @endfor
                            </div>
                            </tbody>
                        </table>
                    </td>
                </tr>
                </tbody>
            </table>
        </td>
    </tr>
    </tbody>
</table>
<script type="text/javascript">
    window.onafterprint = function () {
        window.close()
    }
    window.onload = function () {
        setTimeout(() => {
            window.focus();
            window.print();
        }, 1300)
        window.onfocus = function () {
            window.close();
        }
    };
</script>
