<style>
    .items-col {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    .items-col>div {
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    .consolidado_nivel {
        page-break-after: always;
    }

    .table-data-lote {
        gap: 2rem;

        &.wrap {
            flex-wrap: wrap;
        }
    }
</style>
<div class="modal" tabindex="-1">

    <div class="modal-dialog" style='width: 1100px'>
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-primary">
                    Informe proyecto EP17 - {{ $proyectoEP17->id_proyecto_ep17 }} - {{ $proyectoEP17->nom_analito }} - {{ $cliente->name }}
                </h5>
                <button class="btnEvent close" data-event='click' data-route='CancelModal'>
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <div class="text-center">
                    @if(Auth::user()->rol_id_rol != 5)
                    <img width="50%" src="{{$cliente->imagen_cliente}}">
                    @endif
                    <h5 class="pt-2"><strong> Proyecto V2M-EP17-{{ $proyectoEP17->id_proyecto_ep17 }}</strong></h5>
                </div>
                <div class="text-right">
                    <form class='formEvent' data-event='submit' data-route='ExportReportEP17'
                        data-reference='{{ $proyectoEP17->id_encrypt_proyectoEP17 }}'>
                        <a target="_blank"
                            href='/GenerateInformeFinalEP17?id_reference={{ $proyectoEP17->id_encrypt_proyectoEP17 }}'
                            class="btn btn-danger btn-sm btn-icon-split mb-3">
                            <span class="icon text-dark-100">
                                <i class="fas fa-file-pdf"></i>
                            </span>
                            <span class="text">Exportar</span>
                        </a>
                    </form>
                </div>

                <div class="cont-informe-ep17">
                    <div class=" p-3 border bg-light" id="myTabContent">
                        <table class='table-sm text-center m-0 table_highlight w-100'>
                            <tr>
                                <th>Institución:</th>
                                <td>{{ $proyectoEP17->nom_laboratorio }}</td>
                                <th>Fecha</th>
                                <td>{{ $proyectoEP17->fecha}}</td>
                                <th>Area:</th>
                                <td>{{ $proyectoEP17->nom_area}}</td>
                            </tr>
                            <tr>
                                <th>Analito:</th>
                                <td>{{ $proyectoEP17->nom_analito }}</td>
                                <th>Unidad:</th>
                                <td>{{ $proyectoEP17->nom_unidad}}</td>
                                <th>Analizador:</th>
                                <td>{{ $proyectoEP17->nom_analizador}}</td>
                            </tr>
                            <tr>
                                <th colspan="2" rowspan="2">Nivel de Decisión Clínica:</th>
                                <th colspan="2">Femenino</th>
                                <th colspan="2">Masculino</th>
                            </tr>
                            <tr>
                                <td colspan="2">{{ $proyectoEP17->decision_femenina}}</td>
                                <td colspan="2">{{ $proyectoEP17->decision_masculina}}</td>
                            </tr>
                            <tr>
                                <th colspan="3">No Lote Reactivo 1:</th>
                                <th colspan="3">No Lote Reactivo 2:</th>
                            </tr>
                            <tr>
                                <td colspan="3">{{ $proyectoEP17->n_lote_reactivo_1}}</td>
                                <td colspan="3">{{ $proyectoEP17->n_lote_reactivo_2}}</td>
                            </tr>
                        </table>
                        <section class="mt-5">
                            <ul class="nav nav-tabs" id="myTab" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <a class="nav-link active" id="limiteBlanco-tab" data-toggle="tab" href="#limiteBlanco"
                                        role="tab" aria-controls="limiteBlanco" aria-selected="true">Límite de detección de Blanco. LoB</a>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <a class="nav-link" id="limiteDeteccion-tab" data-toggle="tab" href="#limiteDeteccion"
                                        role="tab" aria-controls="limiteDeteccion" aria-selected="false">Límite de detección. LoD</a>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <a class="nav-link" id="limiteCuantificacion-tab" data-toggle="tab" href="#limiteCuantificacion"
                                        role="tab" aria-controls="limiteCuantificacion" aria-selected="false">Límite de Cuantificación. LoQ</a>
                                </li>

                            </ul>

                            <div class="tab-content" id="myTabContent">
                                <div class="tab-pane fade show active" id="limiteBlanco" role="tabpanel" aria-labelledby="limiteBlanco-tab">
                                    <h2 class='h5 font-weight-bold text-primary my-5 text-center'>Límite de detección de Blanco. LoB</h2>
                                    <section class="d-flex table-data-lote {{$proyectoEP17->nMuestras > 5 ? 'wrap': ''}}">
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="{{2 + $proyectoEP17->nMuestras}}">LoB - Lote de reactivos No.1</th>
                                                </tr>
                                                <tr>
                                                    <th>Día</th>
                                                    <th>Replica</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <th>Muestra Blanco {{ $i + 1 }}</th>
                                                        @endfor
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                                                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                                                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                                                        <tr>
                                                            <th>{{ $j + 1 }}</th>
                                                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                                                <td>{{ $proyectoEP17->lote_blanco_1[$i][$j][$k] }}</td>
                                                                @endfor
                                                        </tr>
                                                        @endfor
                                                        @endfor
                                            </tbody>
                                        </table>
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="{{2 + $proyectoEP17->nMuestras}}">LoB - Lote de reactivos No.2</th>
                                                </tr>
                                                <tr>
                                                    <th>Día</th>
                                                    <th>Replica</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <th>Muestra Blanco {{ $i + 1 }}</th>
                                                        @endfor
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                                                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                                                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                                                        <tr>
                                                            <th>{{ $j + 1 }}</th>
                                                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                                                <td>{{ $proyectoEP17->lote_blanco_2[$i][$j][$k] }}</td>
                                                                @endfor
                                                        </tr>
                                                        @endfor
                                                        @endfor
                                            </tbody>
                                        </table>
                                    </section>
                                    <section class="mt-5 d-flex" style="gap: 2rem;">
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <tbody>
                                                <tr>
                                                    <th rowspan="2">Lote 1</th>
                                                    <td>Valores Rank Position</td>
                                                    <td>{{ $resultsB['lobLote1']['valPosition1'] }}</td>
                                                    <td>{{ $resultsB['lobLote1']['valPosition2'] }}</td>
                                                </tr>
                                                <tr>
                                                    <th>LoB</th>
                                                    <td colspan="2">{{ $resultsB['lobLote1']['averageLob'] }}</td>
                                                </tr>
                                                <tr>
                                                    <th rowspan="2">Lote 2</th>
                                                    <td>Valores Rank Position</td>
                                                    <td>{{ $resultsB['lobLote2']['valPosition1'] }}</td>
                                                    <td>{{ $resultsB['lobLote2']['valPosition2'] }}</td>
                                                <tr>
                                                    <th>LoB</th>
                                                    <td colspan="2">{{ $resultsB['lobLote2']['averageLob'] }}</td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2">Promedio LoB:</th>
                                                    <td colspan="2">{{ $resultsB['averageLob'] }}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="6">Rank Position = 0.5 + (<span style="font-style: italic;">B</span> &bull; Pct<sub>B</sub>)</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <th><span style="font-style: italic;">B</span></th>
                                                    <td>{{ $resultsB['totalItems'] }}</td>
                                                    <th>Pct<sub>B</sub></th>
                                                    <td>{{ $proyectoEP17->pctb }}</td>
                                                    <th>Rank Position</th>
                                                    <td>{{ $resultsB['rankPosition'] }}</td>
                                                </tr>
                                                <tr>
                                                    <th colspan="6">
                                                        <h2 class="h5 font-weight-bold text-primary text-center m-0">LoB</h2>
                                                    </th>
                                                </tr>
                                                <tr>
                                                    <td colspan="6">
                                                        <h2 class="h5 font-weight-bold my-2 text-center">{{ $resultsB['averageLob'] }}</h2>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </section>
                                    <section class="mt-5 d-flex align-items-start justify-content-center" style="gap: 2rem;">
                                        @php
                                        $divisions = 4;
                                        $itemPerTable = $resultsB['totalItems'] / $divisions;
                                        if($itemPerTable != (int) $itemPerTable) $itemPerTable = (int) $itemPerTable + 1;
                                        @endphp
                                        @for($division = 0; $division < $divisions; $division++)
                                            <table class='table-sm text-center m-0 table_highlight table-striped'>
                                            <thead>
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Lote Reactivo 1</th>
                                                    <th>Lote Reactivo 2</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $itemPerTable && ($i + ($division * $itemPerTable)) < $resultsB['totalItems']; $i++)
                                                    @php
                                                    $index=$i + ($division * $itemPerTable);
                                                    @endphp
                                                    <tr class="{{ $resultsB['indexNum1'] == $index + 1 || $resultsB['indexNum2'] == $index + 1 ? 'bg-primary text-white' : '' }}">
                                                    <td>{{ $index + 1 }}</td>
                                                    <td>{{ $resultsB['orderedItems1'][$index] }}</td>
                                                    <td>{{ $resultsB['orderedItems2'][$index] }}</td>
                                                    </tr>
                                                    @endfor
                                            </tbody>
                                            </table>
                                            @endfor
                                    </section>
                                </div>
                                <div class="tab-pane fade" id="limiteDeteccion" role="tabpanel" aria-labelledby="limiteDeteccion-tab">
                                    <h2 class='h5 font-weight-bold text-primary my-5 text-center'>Límite de detección. LoD</h2>
                                    <section class="d-flex table-data-lote {{$proyectoEP17->nMuestras > 5 ? 'wrap': ''}}">
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="{{2 + $proyectoEP17->nMuestras}}">LoD - Lote de reactivos No.1</th>
                                                </tr>
                                                <tr>
                                                    <th>Día</th>
                                                    <th>Replica</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <th>Muestra {{ $i + 1 }}</th>
                                                        @endfor
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                                                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                                                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                                                        <tr>
                                                            <th>{{ $j + 1 }}</th>
                                                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                                                <td>{{ $proyectoEP17->lote_deteccion_1[$i][$j][$k] }}</td>
                                                                @endfor
                                                        </tr>
                                                        @endfor
                                                        @endfor
                                            </tbody>
                                        </table>
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="{{2 + $proyectoEP17->nMuestras}}">LoD - Lote de reactivos No.2</th>
                                                </tr>
                                                <tr>
                                                    <th>Día</th>
                                                    <th>Replica</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <th>Muestra {{ $i + 1 }}</th>
                                                        @endfor
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                                                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                                                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                                                        <tr>
                                                            <th>{{ $j + 1 }}</th>
                                                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                                                <td>{{ $proyectoEP17->lote_deteccion_2[$i][$j][$k] }}</td>
                                                                @endfor
                                                        </tr>
                                                        @endfor
                                                        @endfor
                                            </tbody>
                                        </table>
                                    </section>
                                    <section class="d-flex mt-5 align-items-center justify-content-center" style="gap: 2rem">
                                        <img src="img/formulas_ep17/lod_formula1.png" height="40" alt="Fórmula de cálculo LoD">
                                        <img src="img/formulas_ep17/lod_formula2.png" height="120" alt="Fórmula de cálculo Cp">
                                        <img src="img/formulas_ep17/lod_formula3.png" height="120" alt="Fórmula de cálculo SDL">
                                    </section>
                                    <section class="d-flex mt-5" style="gap: 2rem;">
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th>n</th>
                                                    <th colspan="2">Lote 1</th>
                                                    <th colspan="2">Lote 2</th>
                                                </tr>
                                                <tr>
                                                    <td>{{ $resultsD['lodN'] }}</td>
                                                    <th>Media</th>
                                                    <th>SD</th>
                                                    <th>Media</th>
                                                    <th>SD</th>
                                                </tr>
                                                @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                    <tr>
                                                        <th>Muestra {{ $i + 1 }}</th>
                                                        <td>{{ $resultsD['averageAndSD1'][$i]['average'] }}</td>
                                                        <td>{{ $resultsD['averageAndSD1'][$i]['sd'] }}</td>
                                                        <td>{{ $resultsD['averageAndSD2'][$i]['average'] }}</td>
                                                        <td>{{ $resultsD['averageAndSD2'][$i]['sd'] }}</td>
                                                    </tr>
                                                    @endfor
                                                    <tr>
                                                        <th>SD<sub>Lote</sub></th>
                                                        <td colspan="2">{{ $resultsD['sdLo1'] }}</td>
                                                        <td colspan="2">{{ $resultsD['sdLo2'] }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>C<sub>P</sub></th>
                                                        <td colspan="4">{{ $resultsD['cpVal'] }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>LoB</th>
                                                        <td colspan="2">{{ $resultsB['lobLote1']['averageLob'] }}</td>
                                                        <td colspan="2">{{ $resultsB['lobLote2']['averageLob'] }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>LoD</th>
                                                        <td colspan="2">{{ $resultsD['lodLote1'] }}</td>
                                                        <td colspan="2">{{ $resultsD['lodLote2'] }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th colspan="3">Promedio LoD:</th>
                                                        <td colspan="2">{{ $resultsD['lodAvg'] }}</td>
                                                    </tr>
                                            </thead>
                                        </table>
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th>Fórmulas</th>
                                                    <th>SD<sup>2</sup><sub>1</sub></th>
                                                    <th>n-1</th>
                                                    <th>SD<sup>2</sup><sub>1</sub> &bull; (n-1)</th>
                                                    <th>SD<sup>2</sup><sub>2</sub></th>
                                                    <th>n-1</th>
                                                    <th>SD<sup>2</sup><sub>2</sub> &bull; (n-1)</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                    <tr>
                                                        <th>Muestra {{ $i + 1 }}</th>
                                                        <td>{{ $resultsD['averageAndSD1'][$i]['sd2'] }}</td>
                                                        <td>{{ $resultsD['lodN'] - 1 }}</td>
                                                        <td>{{ $resultsD['averageAndSD1'][$i]['sd2N'] }}</td>
                                                        <td>{{ $resultsD['averageAndSD2'][$i]['sd2'] }}</td>
                                                        <td>{{ $resultsD['lodN'] - 1 }}</td>
                                                        <td>{{ $resultsD['averageAndSD2'][$i]['sd2N'] }}</td>
                                                    </tr>
                                                    @endfor
                                                    <tr>
                                                        <th colspan="2" class=text-right>&Sigma; (n - 1)</th>
                                                        <td>{{ $resultsD['lodNT'] }}</td>
                                                        <td>{{ $resultsD['totalSd2N1'] }}</td>
                                                        <th>&Sigma; (n - 1)</th>
                                                        <td>{{ $resultsD['lodNT'] }}</td>
                                                        <td>{{ $resultsD['totalSd2N2'] }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th colspan="7">
                                                            <h2 class="h5 font-weight-bold text-primary text-center m-0">LoD</h2>
                                                        </th>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="7">
                                                            <h2 class="h5 font-weight-bold my-2 text-center">{{ $resultsD['lodAvg'] }}</h2>
                                                        </td>
                                                    </tr>
                                            </tbody>
                                        </table>
                                    </section>
                                </div>
                                <div class="tab-pane fade" id="limiteCuantificacion" role="tabpanel" aria-labelledby="limiteCuantificacion-tab">
                                    <h2 class='h5 font-weight-bold text-primary my-5 text-center'>Límite de Cuantificación. LoQ</h2>
                                    <section class="d-flex table-data-lote {{$proyectoEP17->nMuestras > 5 ? 'wrap': ''}}">
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="{{3 + $proyectoEP17->nMuestras}}">LoQ - Lote de reactivos No.1</th>
                                                </tr>
                                                <tr>
                                                    <th colspan="2">Valor de Referencia</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <td class="bg-green-light">{{ $proyectoEP17->valores_referencia[$i] }}</td>
                                                        @endfor
                                                </tr>
                                                <tr>
                                                    <th>Día</th>
                                                    <th>Replica</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <th>Muestra {{ $i + 1 }}</th>
                                                        @endfor
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                                                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                                                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                                                        <tr>
                                                            <th>{{ $j + 1 }}</th>
                                                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                                                <td>{{ $proyectoEP17->lote_cuantificacion_1[$i][$j][$k] }}</td>
                                                                @endfor
                                                        </tr>
                                                        @endfor
                                                        @endfor
                                            </tbody>
                                        </table>
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="{{3 + $proyectoEP17->nMuestras}}">LoQ - Lote de reactivos No.2</th>
                                                </tr>
                                                <tr>
                                                    <th colspan="2">Valor de Referencia</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <td class="bg-green-light">{{ $proyectoEP17->valores_referencia[$i] }}</td>
                                                        @endfor
                                                </tr>
                                                <tr>
                                                    <th>Día</th>
                                                    <th>Replica</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <th>Muestra {{ $i + 1 }}</th>
                                                        @endfor
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                                                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                                                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                                                        <tr>
                                                            <th>{{ $j + 1 }}</th>
                                                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                                                <td>{{ $proyectoEP17->lote_cuantificacion_2[$i][$j][$k] }}</td>
                                                                @endfor
                                                        </tr>
                                                        @endfor
                                                        @endfor
                                            </tbody>
                                        </table>
                                    </section>
                                    <section class="mt-5">
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th rowspan="2">Muestras</th>
                                                    <th rowspan="2">Valor de Referencia</th>
                                                    <th colspan="2">Valor de Referencia</th>
                                                    <th colspan="2">D.E</th>
                                                    <th colspan="2">Sesgo</th>
                                                    <th colspan="2">
                                                        <span style="font-style: italic;">TE = I % BiasI + CV</span>
                                                    </th>
                                                    <th rowspan="2">Promedio</th>
                                                </tr>
                                                <tr>
                                                    <th>Lote Reac 1</th>
                                                    <th>Lote Reac 2</th>
                                                    <th>Lote Reac 1</th>
                                                    <th>Lote Reac 2</th>
                                                    <th>Lote Reac 1</th>
                                                    <th>Lote Reac 2</th>
                                                    <th>Lote Reac 1</th>
                                                    <th>Lote Reac 2</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                    <tr>
                                                        <th>{{ $i + 1 }}</th>
                                                        <td class="bg-green-light">{{ $proyectoEP17->valores_referencia[$i] }}</td>
                                                        <td>{{ $resultsQ['averageAndSD1'][$i]['average'] }}</td>
                                                        <td>{{ $resultsQ['averageAndSD2'][$i]['average'] }}</td>
                                                        <td>{{ $resultsQ['averageAndSD1'][$i]['sd'] }}</td>
                                                        <td>{{ $resultsQ['averageAndSD2'][$i]['sd'] }}</td>
                                                        <td>{{ $resultsQ['bias1'][$i] }}</td>
                                                        <td>{{ $resultsQ['bias2'][$i] }}</td>
                                                        <td>{{ $resultsQ['te1'][$i] }}</td>
                                                        <td>{{ $resultsQ['te2'][$i] }}</td>
                                                        <td>{{ $resultsQ['averageTe'][$i] }}</td>
                                                    </tr>
                                                    @endfor
                                                    <tr>
                                                        <th colspan="2">LoQ</th>
                                                        <td>{{ $resultsQ['loq1'] }}</td>
                                                        <td>{{ $resultsQ['loq2'] }}</td>
                                                        <th colspan="2">APS</th>
                                                        <td colspan="2">{{ $proyectoEP17->aps }}</td>
                                                    </tr>
                                            </tbody>
                                        </table>
                                    </section>
                                    <section class="mt-5 mx-auto" style="width: 20cm;">
                                        <canvas id="loqChart"></canvas>
                                    </section>
                                </div>
                            </div>
                        </section>
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar informe</button>
            </div>

        </div>
    </div>
</div>
<script src="{{ asset('js/chart.js') }}"></script>
<script src="{{ asset('js/chartjs-plugin-datalabels.js') }}"></script>
<script>
    var valores_referencia = []
    var te1 = []
    var te2 = []
    var aps = 0
    function drewGraph() {
        var ctx = document.getElementById('loqChart');
        var minX = Math.min(...valores_referencia);
        var maxX = Math.max(...valores_referencia);
        new Chart(ctx, {
            type: 'scatter',
            data: {
                datasets: [{
                    label: 'Lote Reac 1',
                    data: valores_referencia.map((val, index) => ({
                        x: val,
                        y: te1[index]
                    })),
                    backgroundColor: 'blue',
                    borderColor: 'blue',
                    pointRadius: 5,
                    pointHoverRadius: 10,
                    pointStyle: 'circle'
                }, {
                    label: 'Lote Reac 2',
                    data: valores_referencia.map((val, index) => ({
                        x: val,
                        y: te2[index]
                    })),
                    backgroundColor: 'green',
                    borderColor: 'green',
                    pointRadius: 5,
                    pointHoverRadius: 10,
                    pointStyle: 'diamond'
                }, {
                    label: 'APS',
                    type: 'line',
                    data: [
                        { x: minX, y: aps },
                        { x: maxX, y: aps }
                    ],
                    backgroundColor: 'red',
                    borderColor: 'red',
                    fill: false,
                    pointRadius: 0,
                    borderWidth: 2
                }]
            },
            options: {
                scales: {
                    x: {
                        type: 'linear',
                        position: 'bottom'
                    },
                    y: {
                        type: 'linear',
                        position: 'left'
                    }
                },
                plugins: {
                    datalabels: {
                        display: true,
                        align: 'right',
                        formatter: function(value, context) {
                            return `${value.y.toFixed(3)}`
                        },
                        color: 'black'
                    }
                }
            },
            plugins: [ChartDataLabels]
        });
    }
    $(document).ready(function() {
        valores_referencia = JSON.parse('{!! json_encode($proyectoEP17->valores_referencia) !!}');
        te1 = JSON.parse('{!! json_encode($resultsQ["te1"]) !!}');
        te2 = JSON.parse('{!! json_encode($resultsQ["te2"]) !!}');
        aps = JSON.parse('{!! json_encode($proyectoEP17->aps) !!}');
        drewGraph();
    })
</script>