<head>
    <title>Informe proyecto EP17 - {{ $proyectoEP17->id_proyecto_ep17 }} - {{ $proyectoEP17->nom_analito }} - {{ $cliente->name }}</title>
    <link href="{{ asset('fontawesome-free/css/all.min.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/sb-admin-personalizado.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/jquery.dataTables.min.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/toastr.min.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/select2.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/home.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('css/daterangepicker.css?v2') }}" rel="stylesheet">
    <link href="{{ asset('jquery-ui/jquery-ui.css?v2') }}" rel="stylesheet">
    <style>
        svg g text {
            font-size: small !important;
        }

        @page {
            size: A4;
            margin: 1.5cm;
        }

        @media print {

            html,
            body {
                width: 210mm;
                height: 297mm;
            }

            body {
                -webkit-print-color-adjust: exact;
                -moz-print-color-adjust: exact;
                -ms-print-color-adjust: exact;
                print-color-adjust: exact;
            }

            td {
                text-align: center;
            }

            .items-col {
                width: 100%;
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
            }

            .items-col>div {
                width: 100%;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
            }

            .loading {
                z-index: -1;
                opacity: 0;
            }

            .table-data-lote {
                gap: 2rem;

                &.wrap {
                    flex-wrap: wrap;
                }
            }

            .table_highlight {
                page-break-inside: avoid;
            }
        }

        .loading {
            display: flex;
            justify-content: center;
            align-items: center;
            font-size: 1.5em;
            background-color: #fff;
            position: fixed;
            z-index: 999;
            height: 100vh;
            width: 100vw;
            top: 0;
            left: 0;
        }
    </style>
</head>
<div class="loading">Cargando...</div>
<table>
    <thead>
        <tr>
            <th>
                <div style="width: 100%; display: flex; flex-direction: column; align-items: center;">
                    <div class="text-center"
                        style="display: flex; flex-direction: row; justify-content: space-between; align-items: center; width: 100%">
                        @if(Auth::user()->rol_id_rol != 5)
                        <img width="18%" src="{{$cliente->imagen_cliente}}" alt="imagen_cliente">
                        @else
                        <img width="18%" src="{{asset('/img/v2m.jpg')}}" alt="imagen_cliente">
                        @endif
                        <div style="display: flex; justify-content: center; flex-direction: column; align-items: center;
                        padding-top: 1rem; padding-bottom: 2rem; font-size: 1.4em;">
                            <span style="color: #184a9c">Quik SAS. www.quik.com.co</span>
                            <span style="color: #184a9c">V2M. V.1.0.</span>
                            <span
                                style="color: #184a9c">Informe proyecto EP17 - {{ $proyectoEP17->id_proyecto_ep17 }} - {{ $proyectoEP17->nom_analito }} - {{ $cliente->name }}</span>
                        </div>
                        <img width="15%" src="{{asset('/img/logo-quik.png')}}" alt="imagen_cliente">

                    </div>

                </div>
            </th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td class="pt-5">
                <table style="display: flex; flex-direction: column">
                    <tbody>
                        <tr>
                            <td>
                                <table class='table-sm text-center m-0 table_highlight w-100'>
                                    <tr>
                                        <th>Institución:</th>
                                        <td>{{ $proyectoEP17->nom_laboratorio }}</td>
                                        <th>Fecha</th>
                                        <td>{{ $proyectoEP17->fecha}}</td>
                                        <th>Area:</th>
                                        <td>{{ $proyectoEP17->nom_area}}</td>
                                    </tr>
                                    <tr>
                                        <th>Analito:</th>
                                        <td>{{ $proyectoEP17->nom_analito }}</td>
                                        <th>Unidad:</th>
                                        <td>{{ $proyectoEP17->nom_unidad}}</td>
                                        <th>Analizador:</th>
                                        <td>{{ $proyectoEP17->nom_analizador}}</td>
                                    </tr>
                                    <tr>
                                        <th colspan="2" rowspan="2">Nivel de Decisión Clínica:</th>
                                        <th colspan="2">Femenino</th>
                                        <th colspan="2">Masculino</th>
                                    </tr>
                                    <tr>
                                        <td colspan="2">{{ $proyectoEP17->decision_femenina}}</td>
                                        <td colspan="2">{{ $proyectoEP17->decision_masculina}}</td>
                                    </tr>
                                    <tr>
                                        <th colspan="3">No Lote Reactivo 1:</th>
                                        <th colspan="3">No Lote Reactivo 2:</th>
                                    </tr>
                                    <tr>
                                        <td colspan="3">{{ $proyectoEP17->n_lote_reactivo_1}}</td>
                                        <td colspan="3">{{ $proyectoEP17->n_lote_reactivo_2}}</td>
                                    </tr>
                                </table>

                                <article>
                                    <h2 class='h5 font-weight-bold text-primary my-5 text-center'>Límite de detección de Blanco. LoB</h2>
                                    <section class="d-flex table-data-lote {{$proyectoEP17->nMuestras > 5 ? 'wrap': ''}}">
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="{{2 + $proyectoEP17->nMuestras}}">LoB - Lote de reactivos No.1</th>
                                                </tr>
                                                <tr>
                                                    <th>Día</th>
                                                    <th>Replica</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <th>Muestra Blanco {{ $i + 1 }}</th>
                                                        @endfor
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                                                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                                                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                                                        <tr>
                                                            <th>{{ $j + 1 }}</th>
                                                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                                                <td>{{ $proyectoEP17->lote_blanco_1[$i][$j][$k] }}</td>
                                                                @endfor
                                                        </tr>
                                                        @endfor
                                                        @endfor
                                            </tbody>
                                        </table>
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="{{2 + $proyectoEP17->nMuestras}}">LoB - Lote de reactivos No.2</th>
                                                </tr>
                                                <tr>
                                                    <th>Día</th>
                                                    <th>Replica</th>
                                                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                                                        <th>Muestra Blanco {{ $i + 1 }}</th>
                                                        @endfor
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                                                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                                                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                                                        <tr>
                                                            <th>{{ $j + 1 }}</th>
                                                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                                                <td>{{ $proyectoEP17->lote_blanco_2[$i][$j][$k] }}</td>
                                                                @endfor
                                                        </tr>
                                                        @endfor
                                                        @endfor
                                            </tbody>
                                        </table>
                                    </section>
                                    <section class="mt-5 d-flex" style="gap: 2rem;">
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <tbody>
                                                <tr>
                                                    <th rowspan="2">Lote 1</th>
                                                    <td>Valores Rank Position</td>
                                                    <td>{{ $resultsB['lobLote1']['valPosition1'] }}</td>
                                                    <td>{{ $resultsB['lobLote1']['valPosition2'] }}</td>
                                                </tr>
                                                <tr>
                                                    <th>LoB</th>
                                                    <td colspan="2">{{ $resultsB['lobLote1']['averageLob'] }}</td>
                                                </tr>
                                                <tr>
                                                    <th rowspan="2">Lote 2</th>
                                                    <td>Valores Rank Position</td>
                                                    <td>{{ $resultsB['lobLote2']['valPosition1'] }}</td>
                                                    <td>{{ $resultsB['lobLote2']['valPosition2'] }}</td>
                                                <tr>
                                                    <th>LoB</th>
                                                    <td colspan="2">{{ $resultsB['lobLote2']['averageLob'] }}</td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2">Promedio LoB:</th>
                                                    <td colspan="2">{{ $resultsB['averageLob'] }}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
                                            <thead>
                                                <tr>
                                                    <th colspan="6">Rank Position = 0.5 + (<span style="font-style: italic;">B</span> &bull; Pct<sub>B</sub>)</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <th><span style="font-style: italic;">B</span></th>
                                                    <td>{{ $resultsB['totalItems'] }}</td>
                                                    <th>Pct<sub>B</sub></th>
                                                    <td>{{ $proyectoEP17->pctb }}</td>
                                                    <th>Rank Position</th>
                                                    <td>{{ $resultsB['rankPosition'] }}</td>
                                                </tr>
                                                <tr>
                                                    <th colspan="6">
                                                        <h2 class="h5 font-weight-bold text-primary text-center m-0">LoB</h2>
                                                    </th>
                                                </tr>
                                                <tr>
                                                    <td colspan="6">
                                                        <h2 class="h5 font-weight-bold my-2 text-center">{{ $resultsB['averageLob'] }}</h2>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </section>
                                    <br>
                                    <section class="mt-5 d-flex align-items-start justify-content-center" style="gap: 2rem;">
                                        @php
                                        $divisions = 4;
                                        $itemPerTable = $resultsB['totalItems'] / $divisions;
                                        if($itemPerTable != (int) $itemPerTable) $itemPerTable = (int) $itemPerTable + 1;
                                        @endphp
                                        @for($division = 0; $division < $divisions; $division++)
                                            <table class='table-sm text-center m-0 table_highlight table-striped'>
                                            <thead>
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Lote Reactivo 1</th>
                                                    <th>Lote Reactivo 2</th>
                                                </tr>
                                            </thead>
                    <tbody>
                        @for($i = 0; $i < $itemPerTable && ($i + ($division * $itemPerTable)) < $resultsB['totalItems']; $i++)
                            @php
                            $index=$i + ($division * $itemPerTable);
                            @endphp
                            <tr class="{{ $resultsB['indexNum1'] == $index + 1 || $resultsB['indexNum2'] == $index + 1 ? 'bg-primary text-white' : '' }}">
                            <td>{{ $index + 1 }}</td>
                            <td>{{ $resultsB['orderedItems1'][$index] }}</td>
                            <td>{{ $resultsB['orderedItems2'][$index] }}</td>
        </tr>
        @endfor
    </tbody>
</table>
@endfor
</section>
</article>
<br>
<article>
    <h2 class='h5 font-weight-bold text-primary my-5 text-center'>Límite de detección. LoD</h2>
    <section class="d-flex table-data-lote {{$proyectoEP17->nMuestras > 5 ? 'wrap': ''}}">
        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
            <thead>
                <tr>
                    <th colspan="{{2 + $proyectoEP17->nMuestras}}">LoD - Lote de reactivos No.1</th>
                </tr>
                <tr>
                    <th>Día</th>
                    <th>Replica</th>
                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                        <th>Muestra {{ $i + 1 }}</th>
                        @endfor
                </tr>
            </thead>
            <tbody>
                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                        <tr>
                            <th>{{ $j + 1 }}</th>
                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                <td>{{ $proyectoEP17->lote_deteccion_1[$i][$j][$k] }}</td>
                                @endfor
                        </tr>
                        @endfor
                        @endfor
            </tbody>
        </table>
        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
            <thead>
                <tr>
                    <th colspan="{{2 + $proyectoEP17->nMuestras}}">LoD - Lote de reactivos No.2</th>
                </tr>
                <tr>
                    <th>Día</th>
                    <th>Replica</th>
                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                        <th>Muestra {{ $i + 1 }}</th>
                        @endfor
                </tr>
            </thead>
            <tbody>
                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                        <tr>
                            <th>{{ $j + 1 }}</th>
                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                <td>{{ $proyectoEP17->lote_deteccion_2[$i][$j][$k] }}</td>
                                @endfor
                        </tr>
                        @endfor
                        @endfor
            </tbody>
        </table>
    </section>
    <section class="d-flex mt-5 align-items-center justify-content-center" style="gap: 2rem">
        <img src="img/formulas_ep17/lod_formula1.png" height="40" alt="Fórmula de cálculo LoD">
        <img src="img/formulas_ep17/lod_formula2.png" height="120" alt="Fórmula de cálculo Cp">
        <img src="img/formulas_ep17/lod_formula3.png" height="120" alt="Fórmula de cálculo SDL">
    </section>
    <section class="d-flex mt-5" style="gap: 2rem;">
        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
            <thead>
                <tr>
                    <th>n</th>
                    <th colspan="2">Lote 1</th>
                    <th colspan="2">Lote 2</th>
                </tr>
                <tr>
                    <td>{{ $resultsD['lodN'] }}</td>
                    <th>Media</th>
                    <th>SD</th>
                    <th>Media</th>
                    <th>SD</th>
                </tr>
                @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                    <tr>
                        <th>Muestra {{ $i + 1 }}</th>
                        <td>{{ $resultsD['averageAndSD1'][$i]['average'] }}</td>
                        <td>{{ $resultsD['averageAndSD1'][$i]['sd'] }}</td>
                        <td>{{ $resultsD['averageAndSD2'][$i]['average'] }}</td>
                        <td>{{ $resultsD['averageAndSD2'][$i]['sd'] }}</td>
                    </tr>
                    @endfor
                    <tr>
                        <th>SD<sub>Lote</sub></th>
                        <td colspan="2">{{ $resultsD['sdLo1'] }}</td>
                        <td colspan="2">{{ $resultsD['sdLo2'] }}</td>
                    </tr>
                    <tr>
                        <th>C<sub>P</sub></th>
                        <td colspan="4">{{ $resultsD['cpVal'] }}</td>
                    </tr>
                    <tr>
                        <th>LoB</th>
                        <td colspan="2">{{ $resultsB['lobLote1']['averageLob'] }}</td>
                        <td colspan="2">{{ $resultsB['lobLote2']['averageLob'] }}</td>
                    </tr>
                    <tr>
                        <th>LoD</th>
                        <td colspan="2">{{ $resultsD['lodLote1'] }}</td>
                        <td colspan="2">{{ $resultsD['lodLote2'] }}</td>
                    </tr>
                    <tr>
                        <th colspan="3">Promedio LoD:</th>
                        <td colspan="2">{{ $resultsD['lodAvg'] }}</td>
                    </tr>
            </thead>
        </table>
        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
            <thead>
                <tr>
                    <th>Fórmulas</th>
                    <th>SD<sup>2</sup><sub>1</sub></th>
                    <th>n-1</th>
                    <th>SD<sup>2</sup><sub>1</sub> &bull; (n-1)</th>
                    <th>SD<sup>2</sup><sub>2</sub></th>
                    <th>n-1</th>
                    <th>SD<sup>2</sup><sub>2</sub> &bull; (n-1)</th>
                </tr>
            </thead>
            <tbody>
                @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                    <tr>
                        <th>Muestra {{ $i + 1 }}</th>
                        <td>{{ $resultsD['averageAndSD1'][$i]['sd2'] }}</td>
                        <td>{{ $resultsD['lodN'] - 1 }}</td>
                        <td>{{ $resultsD['averageAndSD1'][$i]['sd2N'] }}</td>
                        <td>{{ $resultsD['averageAndSD2'][$i]['sd2'] }}</td>
                        <td>{{ $resultsD['lodN'] - 1 }}</td>
                        <td>{{ $resultsD['averageAndSD2'][$i]['sd2N'] }}</td>
                    </tr>
                    @endfor
                    <tr>
                        <th colspan="2" class=text-right>&Sigma; (n - 1)</th>
                        <td>{{ $resultsD['lodNT'] }}</td>
                        <td>{{ $resultsD['totalSd2N1'] }}</td>
                        <th>&Sigma; (n - 1)</th>
                        <td>{{ $resultsD['lodNT'] }}</td>
                        <td>{{ $resultsD['totalSd2N2'] }}</td>
                    </tr>
                    <tr>
                        <th colspan="7">
                            <h2 class="h5 font-weight-bold text-primary text-center m-0">LoD</h2>
                        </th>
                    </tr>
                    <tr>
                        <td colspan="7">
                            <h2 class="h5 font-weight-bold my-2 text-center">{{ $resultsD['lodAvg'] }}</h2>
                        </td>
                    </tr>
            </tbody>
        </table>
    </section>
</article>
<br>
<article>
    <h2 class='h5 font-weight-bold text-primary my-5 text-center'>Límite de Cuantificación. LoQ</h2>
    <section class="d-flex table-data-lote {{$proyectoEP17->nMuestras > 5 ? 'wrap': ''}}">
        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
            <thead>
                <tr>
                    <th colspan="{{3 + $proyectoEP17->nMuestras}}">LoQ - Lote de reactivos No.1</th>
                </tr>
                <tr>
                    <th colspan="2">Valor de Referencia</th>
                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                        <td class="bg-green-light">{{ $proyectoEP17->valores_referencia[$i] }}</td>
                        @endfor
                </tr>
                <tr>
                    <th>Día</th>
                    <th>Replica</th>
                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                        <th>Muestra {{ $i + 1 }}</th>
                        @endfor
                </tr>
            </thead>
            <tbody>
                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                        <tr>
                            <th>{{ $j + 1 }}</th>
                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                <td>{{ $proyectoEP17->lote_cuantificacion_1[$i][$j][$k] }}</td>
                                @endfor
                        </tr>
                        @endfor
                        @endfor
            </tbody>
        </table>
        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
            <thead>
                <tr>
                    <th colspan="{{3 + $proyectoEP17->nMuestras}}">LoQ - Lote de reactivos No.2</th>
                </tr>
                <tr>
                    <th colspan="2">Valor de Referencia</th>
                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                        <td class="bg-green-light">{{ $proyectoEP17->valores_referencia[$i] }}</td>
                        @endfor
                </tr>
                <tr>
                    <th>Día</th>
                    <th>Replica</th>
                    @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                        <th>Muestra {{ $i + 1 }}</th>
                        @endfor
                </tr>
            </thead>
            <tbody>
                @for($i = 0; $i < $proyectoEP17->nDias; $i++)
                    <th rowspan="{{$proyectoEP17->nReplicas + 1}}">{{ $i + 1 }}</th>
                    @for($j = 0; $j < $proyectoEP17->nReplicas; $j++)
                        <tr>
                            <th>{{ $j + 1 }}</th>
                            @for($k = 0; $k < $proyectoEP17->nMuestras; $k++)
                                <td>{{ $proyectoEP17->lote_cuantificacion_2[$i][$j][$k] }}</td>
                                @endfor
                        </tr>
                        @endfor
                        @endfor
            </tbody>
        </table>
    </section>
    <section class="mt-5">
        <table class='table-sm text-center m-0 table_highlight w-100 table-striped'>
            <thead>
                <tr>
                    <th rowspan="2">Muestras</th>
                    <th rowspan="2">Valor de Referencia</th>
                    <th colspan="2">Valor de Referencia</th>
                    <th colspan="2">D.E</th>
                    <th colspan="2">Sesgo</th>
                    <th colspan="2">
                        <span style="font-style: italic;">TE = I % BiasI + CV</span>
                    </th>
                    <th rowspan="2">Promedio</th>
                </tr>
                <tr>
                    <th>Lote Reac 1</th>
                    <th>Lote Reac 2</th>
                    <th>Lote Reac 1</th>
                    <th>Lote Reac 2</th>
                    <th>Lote Reac 1</th>
                    <th>Lote Reac 2</th>
                    <th>Lote Reac 1</th>
                    <th>Lote Reac 2</th>
                </tr>
            </thead>
            <tbody>
                @for($i = 0; $i < $proyectoEP17->nMuestras; $i++)
                    <tr>
                        <th>{{ $i + 1 }}</th>
                        <td class="bg-green-light">{{ $proyectoEP17->valores_referencia[$i] }}</td>
                        <td>{{ $resultsQ['averageAndSD1'][$i]['average'] }}</td>
                        <td>{{ $resultsQ['averageAndSD2'][$i]['average'] }}</td>
                        <td>{{ $resultsQ['averageAndSD1'][$i]['sd'] }}</td>
                        <td>{{ $resultsQ['averageAndSD2'][$i]['sd'] }}</td>
                        <td>{{ $resultsQ['bias1'][$i] }}</td>
                        <td>{{ $resultsQ['bias2'][$i] }}</td>
                        <td>{{ $resultsQ['te1'][$i] }}</td>
                        <td>{{ $resultsQ['te2'][$i] }}</td>
                        <td>{{ $resultsQ['averageTe'][$i] }}</td>
                    </tr>
                    @endfor
                    <tr>
                        <th colspan="2">LoQ</th>
                        <td>{{ $resultsQ['loq1'] }}</td>
                        <td>{{ $resultsQ['loq2'] }}</td>
                        <th colspan="2">APS</th>
                        <td colspan="2">{{ $proyectoEP17->aps }}</td>
                    </tr>
            </tbody>
        </table>
    </section>
    <section class="mt-5 pb-5 mx-auto" style="width: 24cm;">
        <canvas id="loqChart"></canvas>
    </section>
</article>
</td>
</tr>
</table>
</td>
</tbody>
<tfoot>
    <tr>
        <td class="page-numbered w-100 text-right">Página <span class="page-number"></span> de <span class="total-pages"></span></td>
    </tr>
</tfoot>
<script src="{{ asset('js/jquery/jquery.min.js?v2') }}"></script>
<script src="{{ asset('js/chart.js') }}"></script>
<script src="{{ asset('js/chartjs-plugin-datalabels.js') }}"></script>
</table>
<script type="text/javascript">
    var valores_referencia = []
    var te1 = []
    var te2 = []
    var aps = 0

    function drewGraph() {
        var ctx = document.getElementById('loqChart');
        var minX = Math.min(...valores_referencia);
        var maxX = Math.max(...valores_referencia);
        new Chart(ctx, {
            type: 'scatter',
            data: {
                datasets: [{
                    label: 'Lote Reac 1',
                    data: valores_referencia.map((val, index) => ({
                        x: val,
                        y: te1[index]
                    })),
                    backgroundColor: 'blue',
                    borderColor: 'blue',
                    pointRadius: 5,
                    pointHoverRadius: 10,
                    pointStyle: 'circle'
                }, {
                    label: 'Lote Reac 2',
                    data: valores_referencia.map((val, index) => ({
                        x: val,
                        y: te2[index]
                    })),
                    backgroundColor: 'green',
                    borderColor: 'green',
                    pointRadius: 5,
                    pointHoverRadius: 10,
                    pointStyle: 'diamond'
                }, {
                    label: 'APS',
                    type: 'line',
                    data: [{
                            x: minX,
                            y: aps
                        },
                        {
                            x: maxX,
                            y: aps
                        }
                    ],
                    backgroundColor: 'red',
                    borderColor: 'red',
                    fill: false,
                    pointRadius: 0,
                    borderWidth: 2
                }]
            },
            options: {
                scales: {
                    x: {
                        type: 'linear',
                        position: 'bottom'
                    },
                    y: {
                        type: 'linear',
                        position: 'left'
                    }
                },
                plugins: {
                    datalabels: {
                        display: true,
                        align: 'right',
                        formatter: function(value, context) {
                            return `${value.y.toFixed(3)}`
                        },
                        color: 'black'
                    }
                }
            },
            plugins: [ChartDataLabels]
        });
    }
    $(document).ready(function() {
        valores_referencia = JSON.parse('{!! json_encode($proyectoEP17->valores_referencia) !!}');
        te1 = JSON.parse('{!! json_encode($resultsQ["te1"]) !!}');
        te2 = JSON.parse('{!! json_encode($resultsQ["te2"]) !!}');
        aps = JSON.parse('{!! json_encode($proyectoEP17->aps) !!}');
        drewGraph();
        setTimeout(() => {
            window.focus();
            window.print();
        }, 500);
    })
    window.onafterprint = function() {
        window.close()
    }
    window.onfocus = function() {
        window.close();
    }
    document.addEventListener("DOMContentLoaded", function() {
        const totalPages = Math.ceil(document.body.scrollHeight / window.innerHeight);
        document.querySelectorAll('.total-pages').forEach((element) => {
            element.textContent = totalPages;
        });
        let currentPage = 1;
        window.addEventListener('scroll', function() {
            currentPage = Math.ceil(window.scrollY / window.innerHeight) + 1;
            document.querySelectorAll('.page-number').forEach((element) => {
                element.textContent = currentPage;
            });
        });
        document.querySelectorAll('.page-number').forEach((element) => {
            element.textContent = currentPage;
        });
    });
</script>