<div class="modal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <div class="d-inline p-2">
                    <img style="width: 50px;" src="<?php echo e(asset('img/v2m.jpg')); ?>" class="icon-panel" alt="Ir al módulo de inicio">
                </div>
                <h5 class="modal-title text-primary">Resultados para proyecto V2M-EP17-<strong><?php echo e($proyecto_EP17->id_proyecto_ep17); ?></strong></h5>
                <button class="btnEvent close" data-event='click' data-route='CancelModal' data-preguntaantes="true">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form class="form formEvent formCreate" data-route="StoreResultsEP17" data-event="submit"
                data-reference="<?php echo e($proyecto_EP17->id_encrypt_proyecto_ep17); ?>"
                data-close_modal='true'>
                <div class="modal-body overflow-auto">
                    <p class="text-center">Ingrese los resultados obtenidos para el proyecto V2M-EP17-<strong><?php echo e($proyecto_EP17->id_proyecto_ep17); ?></strong></p>
                    <header class="d-flex justify-content-center">
                        <div class="form-group mr-5">
                            <label class='font-weight-bold'>Muestras:</label>
                            <input class="form-control" id="i_muestras" name="muestras" type='number' min=1 max=10 onchange="updateValuesSize($(this))">
                        </div>
                        <div class="form-group mr-5">
                            <label class='font-weight-bold'>Días:</label>
                            <input class="form-control" id="i_dias" name="dias" type='number' min=1 max=10 onchange="updateValuesSize($(this))">
                        </div>
                        <div class="form-group">
                            <label class='font-weight-bold'>Repeticiones:</label>
                            <input class="form-control" id="i_repeticiones" name="repeticiones" type='number' min=1 max=10 onchange="updateValuesSize($(this))">
                        </div>
                    </header>
                    <section class="d-flex justify-content-center mt-3 mb-5">
                        <button type="button" class="btn btn-primary mr-5"  id="btn_view_1" onclick="changeView(1)">LoB - Lote de reactivos</button>
                        <button type="button" class="btn btn-secondary mr-5" id="btn_view_2" onclick="changeView(2)">LoD - Lote de reactivos</button>
                        <button type="button" class="btn btn-secondary" id="btn_view_3" onclick="changeView(3)">LoQ - Lote de reactivos</button>
                    </section>
                    <section id="additional-inputs" class="mx-5 d-flex justify-content-center"></section>
                    <section id="content-tables-1" class="mx-5 d-flex" style="gap: 2rem"></section>
                    <section id="content-tables-2" class="mx-5 d-flex" style="gap: 2rem"></section>
                    <section id="content-tables-3" class="mx-5 d-flex" style="gap: 2rem"></section>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btnEvent" data-event='click' data-route='CancelModal'
                        data-preguntaantes="true">Cancelar</button>
                    <button type="submit" class="btn btn-primary">Guardar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    var resultados = []
    var nMuestras = 0
    var nDias = 0
    var nRepeticiones = 0
    var inputValues = [{}, {}, {}, {}, {}, {}]
    var currentView = 1

    function calcInitStats(){
        nDias = resultados.nDias
        nRepeticiones = resultados.nReplicas
        nMuestras = resultados.nMuestras
        $('#i_muestras').val(nMuestras)
        $('#i_dias').val(nDias)
        $('#i_repeticiones').val(nRepeticiones)
    }

    function getDefaultValue(position, i, j, k) {
        try {
            switch (position) {
                case 1: return resultados.lote_blanco_1[i][j][k];
                case 2: return resultados.lote_blanco_2[i][j][k];
                case 3: return resultados.lote_deteccion_1[i][j][k];
                case 4: return resultados.lote_deteccion_2[i][j][k];
                case 5: return resultados.lote_cuantificacion_1[i][j][k];
                case 6: return resultados.lote_cuantificacion_2[i][j][k];
            }
        } catch (error) {
            return 0;
        }
    }

    function saveInputValues(position) {
        inputValues[position - 1] = {};
        const tableExists = $(`#table-results_${position}`).length > 0;
        for (let i = 0; i < nDias; i++) {
            for (let j = 0; j < nRepeticiones; j++) {
                for (let k = 0; k < nMuestras; k++) {
                    let inputId = `#i_${position}_muestra_${i}_${j}_${k}`;
                    let value = 0;
                    if (tableExists && $(inputId).length) value = parseFloat($(inputId).val());
                    else if(!tableExists) value = getDefaultValue(position, i, j, k);
                    inputValues[position - 1][inputId] = value;
                }
            }
        }
    }

    function restoreInputValues(position) {
        for(let inputId in inputValues[position - 1]) {
            $(inputId).val(inputValues[position - 1][inputId])
        }
    }

    function getCodeTable(position, name) {
        return `
            <table class="table table-bordered table-striped text-center" id="table-results_${position}">
                <thead>
                    <tr>
                        <th colspan="${2 + nMuestras}" class="text-center">${name}</th>
                    </tr>
                    <tr>
                        <th>Día</th>
                        <th>Replica</th>
                        ${Array.from({ length: nMuestras }, (_, i) => `<th>Muestra ${position == 1 || position == 2 ? 'Blanco ' : ''}${i + 1}</th>`).join('')}
                    </tr>
                </thead>
                <tbody>
                    ${Array.from({ length: nDias }, (_, i) => `
                        <tr>
                            <td rowspan="${nRepeticiones}">${i + 1}</td>
                            ${Array.from({ length: nRepeticiones }, (_, j) => `
                                ${j > 0 ? '<tr>' : ''}
                                <td>${j + 1}</td>
                                ${Array.from({ length: nMuestras }, (_, k) => `
                                    <td><input class="form-control" type="number" id="i_${position}_muestra_${i}_${j}_${k}" step="0.01"></td>
                                `).join('')}
                                ${j > 0 ? '</tr>' : ''}
                            `).join('')}
                        </tr>
                    `).join('')}
                </tbody>
            </table>
        `;
    }

    function drawSection(position) {
        const index = position * 2;
        const inputName = $('#btn_view_' + position).text() + " No.";
        saveInputValues(index - 1);
        saveInputValues(index);
        const htmlCode = getCodeTable(index - 1, inputName + 1) 
                        + getCodeTable(index, inputName + 2);
        $(`#content-tables-${position}`).html(htmlCode);
        restoreInputValues(index - 1);
        restoreInputValues(index);
    }

    function getCodeAdditionalInputs(position){
        if (position != 3) return '';
        return `
            <table class="table table-bordered table-striped text-center" id="table-additional">
                <thead>
                    <tr>
                        <th colspan="${nMuestras}" class="text-center">Valores de Referencia</th>
                    </tr>
                    <tr>
                        ${Array.from({ length: nMuestras }, (_, i) => `<th>Muestra ${i + 1}</th>`).join('')}
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        ${Array.from({ length: nMuestras }, (_, i) => `
                            <td><input class="form-control" type="number" id="i_ref_${i}" step="0.01"></td>
                        `).join('')}
                    </tr>
                    <tr>
                </tbody>
            </table>
        `;
    }

    function drawAdditionalInputs() {
        let values = [];
        let tableExists = $('#table-additional').length > 0;
        for (let i = 0; i < nMuestras; i++) {
            let inputId = `#i_ref_${i}`;
            let value = 0;
            if ($(inputId).length) value = parseFloat($(inputId).val());
            else if(!tableExists) value = resultados.valores_referencia[i];
            values.push(value);
        }
        const htmlCode = getCodeAdditionalInputs(3);
        $('#additional-inputs').html(htmlCode);
        for (let i = 0; i < nMuestras; i++) {
            $('#i_ref_' + i).val(values[i]);
        }
    }

    function updateValuesSize(input) {
        let value = Math.min(Math.max(parseInt(input.val()), 1), 10);
        input.val(value);
        switch (input.attr('id')) {
            case 'i_muestras':
                nMuestras = value;
                break;
            case 'i_dias':
                nDias = value;
                break;
            case 'i_repeticiones':
                nRepeticiones = value;
                break;
        }
        drawSection(1);
        drawSection(2);
        drawSection(3);
        drawAdditionalInputs();
        changeView(currentView);
    }

    function changeView(view) {
        currentView = parseInt(view);
        $(`#table-results_1`).toggle(currentView === 1);
        $(`#table-results_2`).toggle(currentView === 1);
        $(`#table-results_3`).toggle(currentView === 2);
        $(`#table-results_4`).toggle(currentView === 2);
        $(`#table-results_5`).toggle(currentView === 3);
        $(`#table-results_6`).toggle(currentView === 3);
        $(`#table-additional`).toggle(currentView === 3);
        $(`#btn_view_1`).toggleClass('btn-primary', currentView === 1).toggleClass('btn-secondary', currentView !== 1);
        $(`#btn_view_2`).toggleClass('btn-primary', currentView === 2).toggleClass('btn-secondary', currentView !== 2);
        $(`#btn_view_3`).toggleClass('btn-primary', currentView === 3).toggleClass('btn-secondary', currentView !== 3);
    }

    $(document).ready(function() {
        resultados = JSON.parse('<?php echo json_encode($proyecto_EP17); ?>'.replace(/&quot;/g, '"').replace(/(\r\n|\n|\r)/gm, ""));
        calcInitStats();
        drawSection(1);
        drawSection(2);
        drawSection(3);
        drawAdditionalInputs();
        changeView(currentView);
    })
</script><?php /**PATH /home/quikappspane/public_html/v2m_pruebas/resources/views/resultadoEP17/resultadoEP17Edit.blade.php ENDPATH**/ ?>